
/* All Library specifications for BIS Credit Scoring solution */

libname longrun BASE "Data/bisdata/longrun" ;

libname pool BASE "Data/bisdata/pool";

libname mdlmart "Data/bisdata/mdlmart";


/* Assigning folders for format searching and compilation of macros */
options fmtsearch=(format work) MSTORED MAUTOSOURCE 
SASAUTOS=("Data/bisdata/macro" | 
		"Data/bisdata/macro/analytics" | 
		"Data/bisdata/macro/debug" |
		"Data/bisdata/macro/display" |
		"Data/bisdata/macro/account_basic" | 
		"Data/bisdata/macro/account_inquiry" | 
		"Data/bisdata/macro/account_outbound_comm" |		
		"Data/bisdata/macro/account_transaction" |	
		"Data/bisdata/macro/customer_contacts" |
		"Data/bisdata/macro/account_chng" |
		"Data/bisdata/macro/account_snapshot"|
		"Data/bisdata/macro/account_bank_card"|
		"Data/bisdata/macro/application"|
		"Data/bisdata/macro/account_default_recovery" |
		"Data/bisdata/macro/computations/common" |
		"Data/bisdata/macro/outcome_variables/account_snapshot" |
		"Data/bisdata/macro/outcome_variables/account_transaction" |
		"Data/bisdata/macro/common" |
		"Data/bisdata/macro/computations/pd" |
		"Data/bisdata/macro/feedmacros" | 
		"Data/bisdata/macro/feedmacrosmip" | 
		"Data/bisdata/macro/computations/lgdccf" |
		"Data/bisdata/macro/computations/pd" |
		"Data/bisdata/macro/computations/modelinputs" |
		"Data/bisdata/macro/pooling" |
		"Data/bisdata/macro/factupdations",SASAUTOS);


/*This macro reads the parameter list table in custpara library and sets values 
  of all global parameters.*/
/* Commented as per the internationalization fix */  
/*%load_global_parameters(where= where parent_category_cd in ('Credit Scoring Additions', 'Pooling Functionality') );*/
