%macro acc_basic_lst_retain;
 
/*Aggregated column for last 12 month*/
 		ACC_MAX_LMT_LST_12M_AMT . 
		ACC_MIN_LMT_LST_12M_AMT .  
		ACC_AVG_LMT_LST_12M_AMT .
 		ACC_MAX_PCL_LST_12M_AMT .
		ACC_MIN_PCL_LST_12M_AMT .   
		ACC_MAX_OTB_LST_12M_AMT . 
		ACC_MIN_OTB_LST_12M_AMT .   
		ACC_LMT_INR_LST_12M_CNT 0
 		ACC_LMT_DEC_LST_12M_CNT 0
		ACC_ACT_STS_LST_12M_CNT 0  
		ACC_INA_STS_LST_12M_CNT 0  
		ACC_CALL_USE_LST_12M_CNT 0  
		ACC_LMT_LST_12M_AMT .		  
 		ACC_ODLMT_INR_LST_12M_CNT 0   
/*Temporaray Variable neede for aggregation*/
		COUNT_AVG_12_MNTH .
		TEMP_OVER_DRFT_AMT_12 . 
		TEMP_CREDT_AMT_12 . 
		COUNT_CURR_LMT_12 .
		COUNT_TEMP_ADV_AMT_DEC_12 .
		COUNT_TEMP_CHRG_AMT_DEC_12 .
		COUNT_TEMP_REW_CNT_DEC_12 .
		TEMP_ACTUAL_ADVANCE_AMT_12 .  
		TEMP_CHARGE_OFF_AMT_12 .  
		TEMP_DOWNPAYMENT_AMT_12 . 
/**/
/*Aggregated column for last three month*/
		ACC_MAX_LMT_LST_3M_AMT .
		ACC_MIN_LMT_LST_3M_AMT . 
		ACC_AVG_LMT_LST_3M_AMT .
		ACC_MAX_PCL_LST_3M_AMT . 
		ACC_MIN_PCL_LST_3M_AMT .  
		ACC_MAX_OTB_LST_3M_AMT .   
		ACC_MIN_OTB_LST_3M_AMT .   
		ACC_LMT_INR_LST_3M_CNT 0 
		ACC_LMT_DEC_LST_3M_CNT 0   
		ACC_ACT_STS_LST_3M_CNT 0  
		ACC_INA_STS_LST_3M_CNT 0  
		ACC_CALL_USE_LST_3M_CNT 0  
		ACC_LMT_LST_3M_AMT .
		ACC_ODLMT_INR_LST_3M_CNT 0 
/*Temporaray variable needed to store the value and assign for maximum and minimum*/
  		COUNT_AVG_3_MNTH . 
		TEMP_CREDT_AMT_3 .   
		TEMP_OVER_DRFT_AMT_3 .   
/**/
/*Aggregated column for last six month*/
 		ACC_MAX_LMT_LST_6M_AMT . 
		ACC_MIN_LMT_LST_6M_AMT .  
		ACC_AVG_LMT_LST_6M_AMT .
 		ACC_MAX_PCL_LST_6M_AMT .
		ACC_MIN_PCL_LST_6M_AMT .  
		ACC_MAX_OTB_LST_6M_AMT .  
		ACC_MIN_OTB_LST_6M_AMT .  
		ACC_LMT_INR_LST_6M_CNT 0  
		ACC_LMT_DEC_LST_6M_CNT 0  
		ACC_ACT_STS_LST_6M_CNT 0  
		ACC_INA_STS_LST_6M_CNT 0  
		ACC_CALL_USE_LST_6M_CNT 0    
		ACC_ODLMT_INR_LST_6M_CNT 0  
		ACC_LMT_LST_6M_AMT .
/*Temporaray variables needs to calculate the aggregated value*/
		COUNT_AVG_6_MNTH . 
		COUNT_TEMP_CHRG_AMT_DEC_6 .
		COUNT_TEMP_REW_CNT_DEC_6 . 
		COUNT_TEMP_ADV_AMT_DEC_6 .
		TEMP_CREDT_AMT_6 .   
		TEMP_OVER_DRFT_AMT_6 .    
/**/
/*Aggregated column for last 13th to 24 month*/
		ACC_MAX_LMT_13_24M_AMT . 
		ACC_MIN_LMT_13_24M_AMT .  
		ACC_AVG_LMT_13_24M_AMT .
 		ACC_MAX_PCL_13_24M_AMT .
		ACC_MIN_PCL_13_24M_AMT .  
		ACC_MAX_OTB_13_24M_AMT .
		ACC_MIN_OTB_13_24M_AMT .  
		ACC_LMT_INR_13_24M_CNT 0  
		ACC_LMT_DEC_13_24M_CNT 0
   	    ACC_ACT_STS_13_24M_CNT 0   
	    ACC_INA_STS_13_24M_CNT 0
		ACC_CALL_USE_13_24M_CNT 0  
		ACC_ODLMT_INR_13_24M_CNT 0   
		ACC_LMT_13_24M_AMT .
/*Temporaray Variable needed for aggregation*/
		COUNT_AVG_13_24M_MNTH .
		COUNT_TEMP_CHRG_AMT_DEC_13_24 .
		COUNT_TEMP_ADV_AMT_DEC_13_24 .
		TEMP_OVER_DRFT_AMT_13_24M .
		TEMP_CREDT_AMT_13_24 .
		COUNT_CURR_LMT_13_24 .
		TEMP_ACTUAL_ADVANCE_AMT_13_24 .  
		TEMP_CHARGE_OFF_AMT_13_24 .  
		TEMP_DOWNPAYMENT_AMT_13_24 . 
/*Account basic life to date ABT*/ 
		ACC_LMT_INR_ELST_DT .
 		ACC_SNC_ODLMT_CHNG_MTH_CNT 0 
		ACC_LMT_INR_LTST_DT . 
		ACC_LTST_CCD_REISU_DT .  
		ACC_ELST_CCD_REISU_DT .   
		ACC_CCD_UPG_LTD_CNT 0  
		ACC_MAX_CURR_LMT_INR_DT .  
		ACC_MIN_CURR_LMT_INR_DT .  
		ACC_PRV_LTV_AMT .  
		ACC_LTV_TO_PRV_LTV_PCT .  
		ACC_PRV_ODLMT_AMT .  
		ACC_INI_ODLMT_AMT .  
		ACC_PRV_PCL_VAL_AMT . 
 		ACC_DSB_PRV_MTH_AMT .  
		ACC_WRT_OFF_PRV_MTH_AMT .  
		ACC_RENEW_PRV_MTH_CNT 0  
		ACC_DWN_PAY_PRV_MTH_AMT .  
	  	ACC_PRV_LMT_AMT .  
	  	ACC_SNC_FST_CALL_USE_DAY_CNT 0 
		ACC_APPL_LMT_AMT .
		ACC_APPL_LMT_DT .
		ACC_APPL_PCL_VAL_AMT .
		ACC_APPL_LON_TO_PCL_VAL_AMT .
		ACC_APPL_DSBR_CURR_MTH_AMT . 
		ACC_SNC_COLL_MTH_CNT 0
/*Temporarry variables that are used for aggregation*/
		ACC_PCL_COUNTER .
		FIRST_ACTUAL_ADVANCE_AMT .
		TEMP_ELST_DT .
		TEMP_CHARGE_OFF_AMT .  
		TEMP_ACTUAL_ADVANCE_AMT .  
		TEMP_DOWNPAYMENT_AMT .  
		TEMP_ACCOUNT_RENEWAL_CNT .    
		TEMP_CREDT_AMT .   
		TEMP_CURR_DT .  
		TEMP_CURRENT_START_DTTM .  
		TEMP_COLATERAL_AMT .   
		TEMP_FIRST_LTV_AMT .  
		TEMP_OVERDRAFT_LIMIT_DT .   
		TEMP_OVERDRAFT_LIMIT_AMT .
 		CALL_USED_FLG_CNT .  
		PRV_LMT_CNT_TEMP . 
		COUNT_TEMP_OVER_DFT_DEC . 
		COUNT_TEMP_CURR_INC .  
		COUNT_TEMP_ADV_AMT_DEC .   
		COUNT_TEMP_CHRG_AMT_DEC .
		COUNT_TEMP_DWN_CNT_DEC .
		ACC_LTV_COUNTER .
		TMP_VALID_START_DTTM . 
		COUNT_TEMP_REW_CNT_DEC . ;
 %MEND;
