%macro acc_def_recv_abt_retain;

/*List of variables to be retained */

/*Common variables to retained, applicable for all datasets */

LENGTH ACCOUNT_TYPE_CD_RET ACCOUNT_SUB_TYPE_CD_RET COLLATERAL_CD_RET ACCOUNT_STATUS_CD_RET $3;

 



RETAIN PRIMARY_CUSTOMER_RK_RET   ACCOUNT_TYPE_CD_RET

ACCOUNT_SUB_TYPE_CD_RET COLLATERAL_CD_RET ACCOUNT_STATUS_CD_RET ;



RETAIN    

 /*Account inquiry  CURRENT month abt retain*/

				ACC_RCV_CURR_MTH_AMT .

				ACC_RCV_CST_CURR_MTH_AMT .  

				ACC_RCV_INS_CURR_MTH_AMT .   

				ACC_RCV_SRTY_DEP_CURR_MTH_AMT .  

				ACC_RCV_PRI_CUS_CURR_MTH_AMT . 

				ACC_RCV_GUR_CURR_MTH_AMT .  

				ACC_RCV_PCL_SLS_CURR_MTH_AMT .  

/*Account inquiry  last 3 month abt retain */

				ACC_RCV_LST_3M_AMT .

				ACC_RCV_CST_LST_3M_AMT .  

				ACC_RCV_PRI_CUS_LST_3M_AMT .  

				ACC_RCV_GUR_LST_3M_AMT .  

				ACC_RCV_INS_LST_3M_AMT .  

				ACC_RCV_SRTY_DEP_LST_3M_AMT .  

				ACC_RCV_PCL_SLS_LST_3M_AMT .  

			 

/*Account inquiry dispute last 6 month abt retain */

				ACC_RCV_LST_6M_AMT .

				ACC_RCV_CST_LST_6M_AMT .  

				ACC_RCV_PRI_CUS_LST_6M_AMT .  

				ACC_RCV_GUR_LST_6M_AMT .  

				ACC_RCV_INS_LST_6M_AMT .  

				ACC_RCV_SRTY_DEP_LST_6M_AMT .  

				ACC_RCV_PCL_SLS_LST_6M_AMT .  



 /*Account inquiry   last 12 month abt retain */

				ACC_RCV_LST_12M_AMT .

				ACC_RCV_CST_LST_12M_AMT . 

				ACC_RCV_PRI_CUS_LST_12M_AMT . 

				ACC_RCV_GUR_LST_12M_AMT . 

				ACC_RCV_INS_LST_12M_AMT . 

				ACC_RCV_SRTY_DEP_LST_12M_AMT . 

				ACC_RCV_PCL_SLS_LST_12M_AMT .



/*Account inquiry dispute last 13 to 24 month abt retain */

				ACC_RCV_13_24M_AMT .

				ACC_RCV_CST_13_24M_AMT .  

				ACC_RCV_PRI_CUS_13_24M_AMT .  

				ACC_RCV_GUR_13_24M_AMT .  

				ACC_RCV_INS_13_24M_AMT . 

				ACC_RCV_SRTY_DEP_13_24M_AMT . 

				ACC_RCV_PCL_SLS_13_24M_AMT . 

/*Account default recovery Life to date*/

				ACC_SNC_LST_RCV_MTH_CNT 0; 



%mend;

