/*This macro is called by the macro_acc_trans_lst_abt macro. 
This resets all the variables when the end-of-group of the by-variable is reached */

%macro abt_trans_macro_reset;
/************************ For current month *****************************/
/* Variables of TRANS_CASHBACK_REFUND_CURR_MTH */
ACC_CSHBCK_CURR_MTH_AMT = .;
ACC_MAX_CSHBCK_CURR_MTH_AMT = .;
ACC_MAX_REF_CURR_MTH_AMT = .;
ACC_MIN_CSHBCK_CURR_MTH_AMT = .;
ACC_MIN_REF_CURR_MTH_AMT = .;
ACC_REF_CURR_MTH_AMT = .;
ACC_REF_CURR_MTH_CNT = 0;

/* Variables of TRANS_CCD_MERCHANT_CAT_CURR_MTH */
ACC_CCD_ARL_CURR_MTH_CNT = 0;
ACC_CCD_ARL_CURR_MTH_AMT = .;
ACC_CCD_CRN_CURR_MTH_CNT = 0;
ACC_CCD_CRN_CURR_MTH_AMT = .;
ACC_CCD_HTL_CURR_MTH_CNT = 0;
ACC_CCD_HTL_CURR_MTH_AMT = .;
ACC_CCD_FUD_CURR_MTH_CNT = 0;
ACC_CCD_FUD_CURR_MTH_AMT = .;
ACC_CCD_TPT_CURR_MTH_CNT = 0;
ACC_CCD_TPT_CURR_MTH_AMT = .;
ACC_CCD_HHD_CURR_MTH_CNT = 0;
ACC_CCD_HHD_CURR_MTH_AMT = .;
ACC_CCD_ENT_CURR_MTH_CNT = 0;
ACC_CCD_ENT_CURR_MTH_AMT = .;
ACC_CCD_AUT_CURR_MTH_CNT = 0;
ACC_CCD_AUT_CURR_MTH_AMT = .;
ACC_CCD_CLTH_CURR_MTH_CNT = 0;
ACC_CCD_CLTH_CURR_MTH_AMT = .;
ACC_CCD_PER_CURR_MTH_CNT = 0;
ACC_CCD_PER_CURR_MTH_AMT = .;
ACC_CCD_FIN_CURR_MTH_CNT = 0;
ACC_CCD_FIN_CURR_MTH_AMT = .;
ACC_CCD_HLTH_CURR_MTH_CNT = 0;
ACC_CCD_HLTH_CURR_MTH_AMT = .;
ACC_CCD_GOV_CURR_MTH_CNT = 0;
ACC_CCD_GOV_CURR_MTH_AMT = .;
ACC_CCD_NOUSE_CURR_MTH_CNT = 0;
ACC_CCD_UTLY_CURR_MTH_CNT = 0;
ACC_CCD_UTLY_CURR_MTH_AMT = .;
ACC_CCD_USE_CURR_MTH_CNT = 0;

/* Variables of TRANS_CHANNEL_USAGE_CURR_MTH */
ACC_ATM_USE_CURR_MTH_CNT = 0;
ACC_INN_USE_CURR_MTH_CNT = 0;
ACC_PHN_USE_CURR_MTH_CNT = 0;
ACC_TLR_USE_CURR_MTH_CNT = 0;

/* Variables of TRANS_CHECK_ISSUE_CURR_MTH */
ACC_CHQ_ISU_CURR_MTH_CNT = 0;
ACC_CHQ_ISU_CURR_MTH_AMT = .;

/* Variables of TRANS_DDR_SORD_CURR_MTH */
ACC_DDR_CURR_MTH_AMT = .;
ACC_MAX_DDR_CURR_MTH_AMT = .;
ACC_MIN_DDR_CURR_MTH_AMT = .;
ACC_SORD_CURR_MTH_AMT = .;
ACC_MAX_SORD_CURR_MTH_AMT = .;
ACC_MIN_SORD_CURR_MTH_AMT = .;

/* Variables of TRANS_DEP_WDR_CURR_MTH */
ACC_DEP_CURR_MTH_AMT = .;
ACC_DEP_CURR_MTH_CNT = 0;
ACC_MAX_DEP_CURR_MTH_AMT = .;
ACC_MIN_DEP_CURR_MTH_AMT = .;
ACC_DEP_ENC_CURR_MTH_AMT = .;
ACC_DEP_ERLY_ENC_CURR_MTH_CNT = 0;
ACC_WDR_CURR_MTH_AMT = .;
ACC_WDR_CURR_MTH_CNT = 0;
ACC_MAX_WDR_CURR_MTH_AMT = .;
ACC_MIN_WDR_CURR_MTH_AMT = .;
ACC_ATM_WDR_CURR_MTH_AMT = .;
ACC_ATM_WDR_CURR_MTH_CNT = 0;
ACC_TLR_WDR_CURR_MTH_AMT = .;
ACC_TLR_WDR_CURR_MTH_CNT = 0;
ACC_MAX_ATM_WDR_CURR_MTH_AMT = .;
ACC_MIN_ATM_WDR_CURR_MTH_AMT = .;
ACC_MAX_TLR_WDR_CURR_MTH_AMT = .;
ACC_MIN_TLR_WDR_CURR_MTH_AMT = .;

/* Variables of TRANS_DR_CR_CURR_MTH */
ACC_DR_TRNS_CURR_MTH_AMT = .;
ACC_DR_TRNS_CURR_MTH_CNT = 0;
ACC_CR_TRNS_CURR_MTH_AMT = .;
ACC_CR_TRNS_CURR_MTH_CNT = 0;
ACC_MAX_DR_TRNS_CURR_MTH_AMT = .;
ACC_MIN_DR_TRNS_CURR_MTH_AMT = .;
ACC_MAX_CR_TRNS_CURR_MTH_AMT = .;
ACC_MIN_CR_TRNS_CURR_MTH_AMT = .;

/* Variables of TRANS_FEES_CURR_MTH */
ACC_ATM_ISU_FEE_CURR_MTH_AMT = .;
ACC_BBLO_FEE_CURR_MTH_AMT = .;
ACC_CADV_FEE_CURR_MTH_AMT = .;
ACC_CHQ_BK_FEE_CURR_MTH_AMT = .;
ACC_DLD_PAY_FEE_CURR_MTH_AMT = .;
ACC_DSHNR_PAY_FEE_CURR_MTH_AMT = .;
ACC_DUP_STMT_FEE_CURR_MTH_AMT = .;
ACC_FEE_CURR_MTH_AMT = .;
ACC_LMT_INR_FEE_CURR_MTH_AMT = .;
ACC_MAX_DFEE2AVG_INST_CURR_PCT = .;
ACC_MAX_FEE_CURR_MTH_AMT = .;
ACC_MIN_DFEE2AVG_INST_CURR_PCT = .;
ACC_MIN_FEE_CURR_MTH_AMT = .;
ACC_MIS_INST_FEE_CURR_MTH_AMT = .;
ACC_MNTS_FEE_CURR_MTH_AMT = .;
ACC_OBT_FEE_CURR_MTH_AMT = .;
ACC_OTL_FEE_CURR_MTH_AMT = .;
ACC_OVD_FACY_FEE_CURR_MTH_AMT = .;
ACC_PPY_FEE_CURR_MTH_AMT = .;
ACC_RTTYP_CHG_FEE_CURR_MTH_AMT = .;
ACC_SRV_VIS_FEE_CURR_MTH_AMT = .;
ACC_TRNS_FEE_CURR_MTH_AMT = .;
ACC_IBT_FEE_CURR_MTH_AMT = .;
ACC_ANNL_FEE_CURR_MTH_AMT = .;
ACC_CLS_FEE_CURR_MTH_AMT = .;

/* Variables of TRANS_FEES_WAIVED_CURR_MTH */
ACC_FWV_CURR_MTH_AMT = .;
ACC_FWV_CURR_MTH_CNT = 0;
ACC_MAX_FWV_CURR_MTH_AMT = .;
ACC_MIN_FWV_CURR_MTH_AMT = .;

/* Variables of TRANS_INST_PAYMENTS_CURR_MTH */
ACC_ESCR_CURR_MTH_AMT = .;
ACC_INT_CURR_MTH_AMT = .;
ACC_INT_RCD_CURR_MTH_AMT = .;
ACC_INT_RCD_CURR_MTH_CNT = 0;
ACC_INT_RINV_CURR_MTH_AMT = .;
ACC_INT_RINV_CURR_MTH_CNT = 0;
ACC_IPUR_CURR_MTH_AMT = .;
ACC_IPUR_CURR_MTH_CNT = 0;
ACC_MAX_INT_RCD_CURR_MTH_AMT = .;
ACC_MAX_IPUR_CURR_MTH_AMT = .;
ACC_MAX_PPL_CURR_MTH_AMT = .;
ACC_MAX_PPL_INT_CURR_MTH_AMT = .;
ACC_MAX_PUR_CURR_MTH_AMT = .;
ACC_MIN_INT_RCD_CURR_MTH_AMT = .;
ACC_MIN_IPUR_CURR_MTH_AMT = .;
ACC_MIN_PPL_CURR_MTH_AMT = .;
ACC_MIN_PPL_INT_CURR_MTH_AMT = .;
ACC_MIN_PUR_CURR_MTH_AMT = .;
ACC_MN_INT_RINV_CURR_MTH_AMT = .;
ACC_MX_INT_RINV_CURR_MTH_AMT = .;
ACC_PPL_CURR_MTH_AMT = .;
ACC_PPL_CURR_MTH_CNT = 0;
ACC_PPL_INT_PYD_CURR_MTH_AMT = .;
ACC_PUR_CURR_MTH_AMT = .;
ACC_PUR_CURR_MTH_CNT = 0;
ACC_ADDL_PAY_CURR_MTH_CNT = 0;
ACC_ADDL_PAY_CURR_MTH_AMT = .;
ACC_MAX_ESCR_PYD_CURR_MTH_AMT = .;
ACC_MIN_ESCR_PYD_CURR_MTH_AMT = .;

/* Variables of TRANS_PAYMENTS_CURR_MTH */
ACC_DLD_PAY_CURR_MTH_CNT = 0;
ACC_DSHNR_PAY_CURR_MTH_AMT = .;
ACC_DSHNR_PAY_CURR_MTH_CNT = 0;
ACC_MAX_DSHNR_PAY_CURR_MTH_AMT = .;
ACC_MAX_PAY_CURR_MTH_AMT = .;
ACC_MIN_DSHNR_PAY_CURR_MTH_AMT = .;
ACC_MIN_PAY_CURR_MTH_AMT = .;
ACC_PAY_CURR_MTH_AMT = .;
ACC_PREPAY_CURR_MTH_AMT = .;

/* Variables of TRANS_PUR_CADV_OVL_CURR_MTH */
ACC_AVG_CADV_CURR_MTH_AMT = .;
ACC_CADV_CURR_MTH_AMT = .;
ACC_CADV_CURR_MTH_CNT = 0;
ACC_IPUR_CURR_MTH_AMT = .;
ACC_IPUR_CURR_MTH_CNT = 0;
ACC_LPUR_CURR_MTH_AMT = .;
ACC_LPUR_CURR_MTH_CNT = 0;
ACC_MAX_CADV_CURR_MTH_AMT = .;
ACC_MAX_IPUR_CURR_MTH_AMT = .;
ACC_MAX_LPUR_CURR_MTH_AMT = .;
ACC_MAX_PUR_CURR_MTH_AMT = .;
ACC_MIN_CADV_CURR_MTH_AMT = .;
ACC_MIN_IPUR_CURR_MTH_AMT = .;
ACC_MIN_LPUR_CURR_MTH_AMT = .;
ACC_MIN_PUR_CURR_MTH_AMT = .;
ACC_OTL_CURR_MTH_CNT = 0;
ACC_PUR_CURR_MTH_AMT = .;
ACC_PUR_CURR_MTH_CNT = 0;

/* Variables of TRANS_SUMMARY_CURR_MTH */
ACC_TRNS_CURR_MTH_CNT = 0;
ACC_TRNS_CURR_MTH_AMT = .;

/* Variables of TRANS_TRANSFER_CURR_MTH */
ACC_ATM_SST_TRS_FR_CURR_MTH_AMT = .;
ACC_ATM_SST_TRS_FR_CURR_MTH_CNT = 0;
ACC_IBT_CURR_MTH_AMT = .;
ACC_IBT_CURR_MTH_CNT = 0;
ACC_IBT_FEE_CURR_MTH_AMT = .;
ACC_INN_TRS_FR_CURR_MTH_AMT = .;
ACC_INN_TRS_FR_CURR_MTH_CNT = 0;
ACC_INT_CURR_MTH_AMT = .;
ACC_INT_CURR_MTH_CNT = 0;
ACC_INT_RCD_CURR_MTH_AMT = .;
ACC_MAX_IBT_CURR_MTH_AMT = .;
ACC_MAX_INT_CURR_MTH_AMT = .;
ACC_MAX_OBT_CURR_MTH_AMT = .;
ACC_MAX_TRS_FR_CURR_MTH_AMT = .;
ACC_MAX_TRS_IN2_CURR_MTH_AMT = .;
ACC_MIN_IBT_CURR_MTH_AMT = .;
ACC_MIN_INT_CURR_MTH_AMT = .;
ACC_MIN_OBT_CURR_MTH_AMT = .;
ACC_MIN_TRS_FR_CURR_MTH_AMT = .;
ACC_MIN_TRS_IN2_CURR_MTH_AMT = .;
ACC_MN_ATM_TRS_FR_CURR_MTH_AMT = .;
ACC_MN_INN_TRS_FR_CURR_MTH_AMT = .;
ACC_MN_PHN_TRS_FR_CURR_MTH_AMT = .;
ACC_MN_TLR_TRS_FR_CURR_MTH_AMT = .;
ACC_MX_ATM_TRS_FR_CURR_MTH_AMT = .;
ACC_MX_INN_TRS_FR_CURR_MTH_AMT = .;
ACC_MX_PHN_TRS_FR_CURR_MTH_AMT = .;
ACC_MX_TLR_TRS_FR_CURR_MTH_AMT = .;
ACC_OBT_CURR_MTH_AMT = .;
ACC_OBT_CURR_MTH_CNT = 0;
ACC_PHN_TRS_FR_CURR_MTH_AMT = .;
ACC_PHN_TRS_FR_CURR_MTH_CNT = 0;
ACC_TLR_TRS_FR_CURR_MTH_AMT = .;
ACC_TLR_TRS_FR_CURR_MTH_CNT = 0;
ACC_TRS_FR_CURR_MTH_AMT = .;
ACC_TRS_FR_CURR_MTH_CNT = 0;
ACC_TRS_IN2_CURR_MTH_AMT = .;
ACC_TRS_IN2_CURR_MTH_CNT = 0;

/************************* For 3 months **********************/
/*Variables of TRANS_CASHBACK_REFUND_LST_3M */
ACC_CSHBCK_LST_3M_AMT = .;
ACC_MAX_CSHBCK_LST_3M_AMT = .;
ACC_MIN_CSHBCK_LST_3M_AMT = .;
ACC_MAX_REF_LST_3M_AMT = .;
ACC_MIN_REF_LST_3M_AMT = .;
ACC_REF_LST_3M_AMT = .;
ACC_REF_LST_3M_CNT = 0;

/*Variables of TRANS_CCD_MERCHANTCAT_LST_3M */
ACC_CCD_ARL_LST_3M_AMT = .;
ACC_CCD_ARL_LST_3M_CNT = 0;
ACC_CCD_AUT_LST_3M_AMT = .;
ACC_CCD_AUT_LST_3M_CNT = 0;
ACC_CCD_CLTH_LST_3M_AMT = .;
ACC_CCD_CLTH_LST_3M_CNT = 0;
ACC_CCD_CRN_LST_3M_AMT = .;
ACC_CCD_CRN_LST_3M_CNT = 0;
ACC_CCD_ENT_LST_3M_AMT = .;
ACC_CCD_ENT_LST_3M_CNT = 0;
ACC_CCD_FIN_LST_3M_AMT = .;
ACC_CCD_FIN_LST_3M_CNT = 0;
ACC_CCD_FUD_LST_3M_AMT = .;
ACC_CCD_FUD_LST_3M_CNT = 0;
ACC_CCD_GOV_LST_3M_AMT = .;
ACC_CCD_GOV_LST_3M_CNT = 0;
ACC_CCD_HHD_LST_3M_AMT = .;
ACC_CCD_HHD_LST_3M_CNT = 0;
ACC_CCD_HLTH_LST_3M_AMT = .;
ACC_CCD_HLTH_LST_3M_CNT = 0;
ACC_CCD_HTL_LST_3M_AMT = .;
ACC_CCD_HTL_LST_3M_CNT = 0;
ACC_CCD_NOUSE_LST_3M_MTH_CNT = 0;
ACC_CCD_PER_LST_3M_AMT = .;
ACC_CCD_PER_LST_3M_CNT = 0;
ACC_CCD_TPT_LST_3M_AMT = .;
ACC_CCD_TPT_LST_3M_CNT = 0;
ACC_CCD_USE_LST_3M_CNT = 0;
ACC_CCD_UTLY_LST_3M_AMT = .;
ACC_CCD_UTLY_LST_3M_CNT = 0; 

/* Variables of TRANS_CHANNEL_USAGE_LST_3M */
ACC_ATM_USE_LST_3M_CNT = 0;
ACC_INN_USE_LST_3M_CNT = 0;
ACC_PHN_USE_LST_3M_CNT = 0;
ACC_TLR_USE_LST_3M_CNT = 0;

/* Variables of TRANS_CHECK_ISSUE_LST_3M */
ACC_CHQ_ISU_LST_3M_AMT = .;
ACC_CHQ_ISU_LST_3M_CNT = 0;

/* Variables of TRANS_DDR_SORD_LST_3M */
ACC_MIN_DDR_LST_3M_AMT = .;
ACC_MAX_DDR_LST_3M_AMT = .;
ACC_MIN_SORD_LST_3M_AMT = .;
ACC_MAX_SORD_LST_3M_AMT = .;
ACC_SORD_LST_3M_AMT = .;
ACC_DDR_LST_3M_AMT = .;

/* Variables of TRANS_DEP_WDR_LST_3M */
ACC_ATM_WDR_LST_3M_AMT = .;
ACC_ATM_WDR_LST_3M_CNT = 0;
ACC_MAX_ATM_WDR_LST_3M_AMT = .; 
ACC_MAX_TLR_WDR_LST_3M_AMT = .;
ACC_MAX_WDR_LST_3M_AMT = .;
ACC_MIN_ATM_WDR_LST_3M_AMT = .;
ACC_MIN_TLR_WDR_LST_3M_AMT = .;
ACC_MIN_WDR_LST_3M_AMT = .;
ACC_TLR_WDR_LST_3M_AMT = .;
ACC_TLR_WDR_LST_3M_CNT = 0;
ACC_WDR_LST_3M_AMT = .;
ACC_WDR_LST_3M_CNT = 0;
ACC_DEP_ENC_LST_3M_AMT = .;
ACC_DEP_ERLY_ENC_LST_3M_CNT = 0;
ACC_DEP_LST_3M_AMT = .;
ACC_DEP_LST_3M_CNT = 0;
ACC_MAX_DEP_LST_3M_AMT = .;
ACC_MIN_DEP_LST_3M_AMT = .;

/* Variables of TRANS_DR_CR_LST_3M */
ACC_CR_TRNS_LST_3M_AMT = .;
ACC_CR_TRNS_LST_3M_CNT = 0;
ACC_DR_TRNS_LST_3M_AMT = .;
ACC_DR_TRNS_LST_3M_CNT = 0;
ACC_MAX_CR_TRNS_LST_3M_AMT = .;
ACC_MIN_CR_TRNS_LST_3M_AMT = .;
ACC_MAX_DR_TRNS_LST_3M_AMT = .;
ACC_MIN_DR_TRNS_LST_3M_AMT = .;

/* Variables of TRANS_FEES_LST_3M */
ACC_ATM_ISU_FEE_LST_3M_AMT = .;
ACC_BBLO_FEE_LST_3M_AMT = .;
ACC_CADV_FEE_LST_3M_AMT = .;
ACC_CHQ_BK_FEE_LST_3M_AMT = .;
ACC_DLD_PAY_FEE_LST_3M_AMT = .;
ACC_DSHNR_PAY_FEE_LST_3M_AMT = .;
ACC_DUP_STMT_FEE_LST_3M_AMT = .;
ACC_FEE_LST_3M_AMT = .;
ACC_IBT_FEE_LST_3M_AMT = .;
ACC_LMT_INR_FEE_LST_3M_AMT = .;
ACC_MAX_DFEE2AVG_INST_L3M_PCT = .;
ACC_MAX_FEE_LST_3M_AMT = .;
ACC_MIN_DFEE2AVG_INST_L3M_PCT = .;
ACC_MIN_FEE_LST_3M_AMT = .;
ACC_MIS_INST_FEE_LST_3M_AMT = .;
ACC_MNTS_FEE_LST_3M_AMT = .;
ACC_OBT_FEE_LST_3M_AMT = .;
ACC_OTL_FEE_LST_3M_AMT = .;
ACC_OVD_FACY_FEE_LST_3M_AMT = .;
ACC_PPY_FEE_LST_3M_AMT = .;
ACC_RTTYP_CHG_FEE_LST_3M_AMT = .;
ACC_SRV_VIS_FEE_LST_3M_AMT = .;
ACC_TRNS_FEE_LST_3M_AMT = .;
ACC_ANNL_FEE_LST_3M_AMT = .;
ACC_CLS_FEE_LST_3M_AMT = .;

/* Variables of TRANS_FEES_WAIVED_LST_3M */
ACC_FWV_LST_3M_AMT = .;
ACC_FWV_LST_3M_CNT = 0;
ACC_MAX_FWV_LST_3M_AMT = .;
ACC_MIN_FWV_LST_3M_AMT = .;

/* Variables of TRANS_INST_PAYMENTS_LST_3M */
ACC_INT_LST_3M_AMT = .;
ACC_INT_LST_3M_CNT = 0;
ACC_INT_RCD_LST_3M_AMT = .;
ACC_INT_RCD_LST_3M_CNT = 0;
ACC_INT_RINV_LST_3M_AMT = .;
ACC_INT_RINV_LST_3M_CNT = 0;
ACC_MAX_INT_LST_3M_AMT = .;
ACC_MAX_INT_RCD_LST_3M_AMT = .;
ACC_MAX_PPL_INT_LST_3M_AMT = .;
ACC_MIN_INT_LST_3M_AMT = .;
ACC_MIN_INT_RCD_LST_3M_AMT = .;
ACC_MIN_PPL_INT_LST_3M_AMT = .;
ACC_MN_INT_RINV_LST_3M_AMT = .;
ACC_MX_INT_RINV_LST_3M_AMT = .;
ACC_PPL_INT_PYD_LST_3M_AMT = .;
ACC_MAX_PPL_LST_3M_AMT = .;
ACC_MIN_PPL_LST_3M_AMT = .;
ACC_PPL_LST_3M_AMT = .;
ACC_PPL_LST_3M_CNT = 0;
ACC_ADDL_PAY_LST_3M_AMT = .;
ACC_ADDL_PAY_LST_3M_CNT = 0;
ACC_ESCR_LST_3M_AMT = .;
ACC_MAX_ESCR_PYD_LST_3M_AMT = .;
ACC_MIN_ESCR_PYD_LST_3M_AMT = .;

/* Variables of TRANS_PAYMENTS_LST_3M */
ACC_DLD_PAY_LST_3M_CNT = 0;
ACC_DSHNR_PAY_LST_3M_AMT = .;
ACC_DSHNR_PAY_LST_3M_CNT = 0;
ACC_MAX_DSHNR_PAY_LST_3M_AMT = .;
ACC_MAX_PAY_LST_3M_AMT = .;
ACC_MIN_DSHNR_PAY_LST_3M_AMT = .;
ACC_MIN_PAY_LST_3M_AMT = .;
ACC_PAY_LST_3M_AMT = .;
ACC_PREPAY_LST_3M_AMT = .;

/* Variables of TRANS_PUR_CADV_OVL_LST_3M */
ACC_IPUR_LST_3M_AMT = .;
ACC_IPUR_LST_3M_CNT = 0;
ACC_LPUR_LST_3M_AMT = .;
ACC_LPUR_LST_3M_CNT = 0;
ACC_MAX_IPUR_LST_3M_AMT = .;
ACC_MAX_LPUR_LST_3M_AMT = .;
ACC_MAX_PUR_LST_3M_AMT = .;
ACC_MIN_IPUR_LST_3M_AMT = .;
ACC_MIN_LPUR_LST_3M_AMT = .;
ACC_MIN_PUR_LST_3M_AMT = .;
ACC_PUR_LST_3M_AMT = .;
ACC_PUR_LST_3M_CNT = 0;
ACC_AVG_CADV_LST_3M_AMT = .;
ACC_CADV_LST_3M_AMT = .;
ACC_CADV_LST_3M_CNT = 0;
ACC_MAX_CADV_LST_3M_AMT = .;
ACC_MIN_CADV_LST_3M_AMT = .;
ACC_OTL_LST_3M_CNT = 0;

/* Variables of TRANS_SUMMARY_LST_3M */
ACC_TRNS_LST_3M_CNT = 0;
ACC_TRNS_LST_3M_AMT = .;

/* Variables of TRANS_TRANSFER_LST_3M */
ACC_ATM_SST_TRS_FR_LST_3M_AMT = .;
ACC_ATM_SST_TRS_FR_LST_3M_CNT = 0;
ACC_INN_TRS_FR_LST_3M_AMT = .;
ACC_INN_TRS_FR_LST_3M_CNT = 0;
ACC_MAX_TRS_FR_LST_3M_AMT = .;
ACC_MIN_TRS_FR_LST_3M_AMT = .;
ACC_MN_ATM_TRS_FR_LST_3M_AMT = .;
ACC_MN_INN_TRS_FR_LST_3M_AMT = .;
ACC_MN_PHN_TRS_FR_LST_3M_AMT = .;
ACC_MN_TLR_TRS_FR_LST_3M_AMT = .;
ACC_MX_ATM_TRS_FR_LST_3M_AMT = .;
ACC_MX_INN_TRS_FR_LST_3M_AMT = .;
ACC_MX_PHN_TRS_FR_LST_3M_AMT = .;
ACC_MX_TLR_TRS_FR_LST_3M_AMT = .;
ACC_PHN_TRS_FR_LST_3M_AMT = .;
ACC_PHN_TRS_FR_LST_3M_CNT = 0;
ACC_TLR_TRS_FR_LST_3M_AMT = .;
ACC_TLR_TRS_FR_LST_3M_CNT = 0;
ACC_TRS_FR_LST_3M_AMT = .;
ACC_TRS_FR_LST_3M_CNT = 0;
ACC_MAX_TRS_IN2_LST_3M_AMT = .;
ACC_MIN_TRS_IN2_LST_3M_AMT = .;
ACC_TRS_IN2_LST_3M_AMT = .;
ACC_TRS_IN2_LST_3M_CNT = 0;
ACC_IBT_LST_3M_AMT = .;
ACC_IBT_LST_3M_CNT = 0;
ACC_MAX_IBT_LST_3M_AMT = .;
ACC_MAX_OBT_LST_3M_AMT = .;
ACC_MIN_IBT_LST_3M_AMT = .;
ACC_MIN_OBT_LST_3M_AMT = .;
ACC_OBT_LST_3M_AMT = .;
ACC_OBT_LST_3M_CNT = 0;

/************************* For 6 months **********************/
/*Variables of TRANS_CASHBACK_REFUND_LST_6M */
ACC_CSHBCK_LST_6M_AMT = .;
ACC_MAX_CSHBCK_LST_6M_AMT = .;
ACC_MIN_CSHBCK_LST_6M_AMT = .;
ACC_MAX_REF_LST_6M_AMT = .;
ACC_MIN_REF_LST_6M_AMT = .;
ACC_REF_LST_6M_AMT = .;
ACC_REF_LST_6M_CNT = 0;

/*Variables of TRANS_CCD_MERCHANTCAT_LST_6M */
ACC_CCD_ARL_LST_6M_AMT = .;
ACC_CCD_ARL_LST_6M_CNT = 0;
ACC_CCD_AUT_LST_6M_AMT = .;
ACC_CCD_AUT_LST_6M_CNT = 0;
ACC_CCD_CLTH_LST_6M_AMT = .;
ACC_CCD_CLTH_LST_6M_CNT = 0;
ACC_CCD_CRN_LST_6M_AMT = .;
ACC_CCD_CRN_LST_6M_CNT = 0;
ACC_CCD_ENT_LST_6M_AMT = .;
ACC_CCD_ENT_LST_6M_CNT = 0;
ACC_CCD_FIN_LST_6M_AMT = .;
ACC_CCD_FIN_LST_6M_CNT = 0;
ACC_CCD_FUD_LST_6M_AMT = .;
ACC_CCD_FUD_LST_6M_CNT = 0;
ACC_CCD_GOV_LST_6M_AMT = .;
ACC_CCD_GOV_LST_6M_CNT = 0;
ACC_CCD_HHD_LST_6M_AMT = .;
ACC_CCD_HHD_LST_6M_CNT = 0;
ACC_CCD_HLTH_LST_6M_AMT = .;
ACC_CCD_HLTH_LST_6M_CNT = 0;
ACC_CCD_HTL_LST_6M_AMT = .;
ACC_CCD_HTL_LST_6M_CNT = 0;
ACC_CCD_NOUSE_LST_6M_MTH_CNT = 0;
ACC_CCD_PER_LST_6M_AMT = .;
ACC_CCD_PER_LST_6M_CNT = 0;
ACC_CCD_TPT_LST_6M_AMT = .;
ACC_CCD_TPT_LST_6M_CNT = 0;
ACC_CCD_USE_LST_6M_CNT = 0;
ACC_CCD_UTLY_LST_6M_AMT = .;
ACC_CCD_UTLY_LST_6M_CNT = 0;

/* Variables of TRANS_CHANNEL_USAGE_LST_6M */
ACC_ATM_USE_LST_6M_CNT = 0;
ACC_INN_USE_LST_6M_CNT = 0;
ACC_PHN_USE_LST_6M_CNT = 0;
ACC_TLR_USE_LST_6M_CNT = 0;

/* Variables of TRANS_CHECK_ISSUE_LST_6M */
ACC_CHQ_ISU_LST_6M_AMT = .;
ACC_CHQ_ISU_LST_6M_CNT = 0;

/* Variables of TRANS_DDR_SORD_LST_6M */
ACC_MIN_DDR_LST_6M_AMT = .;
ACC_MAX_DDR_LST_6M_AMT = .;
ACC_MIN_SORD_LST_6M_AMT = .;
ACC_MAX_SORD_LST_6M_AMT = .;
ACC_SORD_LST_6M_AMT = .;
ACC_DDR_LST_6M_AMT = .;

/* Variables of TRANS_DEP_WDR_LST_6M */
ACC_ATM_WDR_LST_6M_AMT = .;
ACC_ATM_WDR_LST_6M_CNT = 0;
ACC_MAX_ATM_WDR_LST_6M_AMT = .;
ACC_MAX_TLR_WDR_LST_6M_AMT = .;
ACC_MAX_WDR_LST_6M_AMT = .;
ACC_MIN_ATM_WDR_LST_6M_AMT = .;
ACC_MIN_TLR_WDR_LST_6M_AMT = .;
ACC_MIN_WDR_LST_6M_AMT = .;
ACC_TLR_WDR_LST_6M_AMT = .;
ACC_TLR_WDR_LST_6M_CNT = 0;
ACC_WDR_LST_6M_AMT = .;
ACC_WDR_LST_6M_CNT = 0;
ACC_DEP_ENC_LST_6M_AMT = .;
ACC_DEP_ERLY_ENC_LST_6M_CNT = 0;
ACC_DEP_LST_6M_AMT = .;
ACC_DEP_LST_6M_CNT = 0;
ACC_MAX_DEP_LST_6M_AMT = .;
ACC_MIN_DEP_LST_6M_AMT = .;

/* Variables of TRANS_DR_CR_LST_6M */
ACC_CR_TRNS_LST_6M_AMT = .;
ACC_CR_TRNS_LST_6M_CNT = 0;
ACC_DR_TRNS_LST_6M_AMT = .;
ACC_DR_TRNS_LST_6M_CNT = 0;
ACC_MAX_CR_TRNS_LST_6M_AMT = .;
ACC_MIN_CR_TRNS_LST_6M_AMT = .;
ACC_MAX_DR_TRNS_LST_6M_AMT = .;
ACC_MIN_DR_TRNS_LST_6M_AMT = .;

/* Variables of TRANS_FEES_LST_6M */
ACC_ATM_ISU_FEE_LST_6M_AMT = .;
ACC_BBLO_FEE_LST_6M_AMT = .;
ACC_CADV_FEE_LST_6M_AMT = .;
ACC_CHQ_BK_FEE_LST_6M_AMT = .;
ACC_DLD_PAY_FEE_LST_6M_AMT = .;
ACC_DSHNR_PAY_FEE_LST_6M_AMT = .;
ACC_DUP_STMT_FEE_LST_6M_AMT = .;
ACC_FEE_LST_6M_AMT = .;
ACC_IBT_FEE_LST_6M_AMT = .;
ACC_LMT_INR_FEE_LST_6M_AMT = .;
ACC_MAX_DFEE2AVG_INST_L6M_PCT = .;
ACC_MAX_FEE_LST_6M_AMT = .;
ACC_MIN_DFEE2AVG_INST_L6M_PCT = .;
ACC_MIN_FEE_LST_6M_AMT = .;
ACC_MIS_INST_FEE_LST_6M_AMT = .;
ACC_MNTS_FEE_LST_6M_AMT = .;
ACC_OBT_FEE_LST_6M_AMT = .;
ACC_OTL_FEE_LST_6M_AMT = .;
ACC_OVD_FACY_FEE_LST_6M_AMT = .;
ACC_PPY_FEE_LST_6M_AMT = .;
ACC_RTTYP_CHG_FEE_LST_6M_AMT = .;
ACC_SRV_VIS_FEE_LST_6M_AMT = .;
ACC_TRNS_FEE_LST_6M_AMT = .;
ACC_ANNL_FEE_LST_6M_AMT = .;
ACC_CLS_FEE_LST_6M_AMT = .;

/* Variables of TRANS_FEES_WAIVED_LST_6M */
ACC_FWV_LST_6M_AMT = .;
ACC_FWV_LST_6M_CNT = 0;
ACC_MAX_FWV_LST_6M_AMT = .;
ACC_MIN_FWV_LST_6M_AMT = .;

/* Variables of TRANS_INST_PAYMENTS_LST_6M */
ACC_INT_LST_6M_AMT = .;
ACC_INT_LST_6M_CNT = 0;
ACC_INT_RCD_LST_6M_AMT = .;
ACC_INT_RCD_LST_6M_CNT = 0;
ACC_INT_RINV_LST_6M_AMT = .;
ACC_INT_RINV_LST_6M_CNT = 0;
ACC_MAX_INT_LST_6M_AMT = .;
ACC_MAX_INT_RCD_LST_6M_AMT = .;
ACC_MAX_PPL_INT_LST_6M_AMT = .;
ACC_MIN_INT_LST_6M_AMT = .;
ACC_MIN_INT_RCD_LST_6M_AMT = .;
ACC_MIN_PPL_INT_LST_6M_AMT = .;
ACC_MN_INT_RINV_LST_6M_AMT = .;
ACC_MX_INT_RINV_LST_6M_AMT = .;
ACC_PPL_INT_PYD_LST_6M_AMT = .;
ACC_MAX_PPL_LST_6M_AMT = .;
ACC_MIN_PPL_LST_6M_AMT = .;
ACC_PPL_LST_6M_AMT = .;
ACC_PPL_LST_6M_CNT = 0;
ACC_ADDL_PAY_LST_6M_AMT = .;
ACC_ADDL_PAY_LST_6M_CNT = 0;
ACC_ESCR_LST_6M_AMT = .;
ACC_MAX_ESCR_PYD_LST_6M_AMT = .;
ACC_MIN_ESCR_PYD_LST_6M_AMT = .; 

/* Variables of TRANS_PAYMENTS_LST_6M */
ACC_DLD_PAY_LST_6M_CNT = 0;
ACC_DSHNR_PAY_LST_6M_AMT = .;
ACC_DSHNR_PAY_LST_6M_CNT = 0;
ACC_MAX_DSHNR_PAY_LST_6M_AMT = .;
ACC_MAX_PAY_LST_6M_AMT = .;
ACC_MIN_DSHNR_PAY_LST_6M_AMT = .;
ACC_MIN_PAY_LST_6M_AMT = .;
ACC_PAY_LST_6M_AMT = .;
ACC_PREPAY_LST_6M_AMT = .;

/* Variables of TRANS_PUR_CADV_OVL_LST_6M */
ACC_IPUR_LST_6M_AMT = .;
ACC_IPUR_LST_6M_CNT = 0;
ACC_LPUR_LST_6M_AMT = .;
ACC_LPUR_LST_6M_CNT = 0;
ACC_MAX_IPUR_LST_6M_AMT = .;
ACC_MAX_LPUR_LST_6M_AMT = .;
ACC_MAX_PUR_LST_6M_AMT = .;
ACC_MIN_IPUR_LST_6M_AMT = .;
ACC_MIN_LPUR_LST_6M_AMT = .;
ACC_MIN_PUR_LST_6M_AMT = .;
ACC_PUR_LST_6M_AMT = .;
ACC_PUR_LST_6M_CNT = 0;
ACC_AVG_CADV_LST_6M_AMT = .;
ACC_CADV_LST_6M_AMT = .;
ACC_CADV_LST_6M_CNT = 0;
ACC_MAX_CADV_LST_6M_AMT = .;
ACC_MIN_CADV_LST_6M_AMT = .;
ACC_OTL_LST_6M_CNT = 0;

/* Variables of TRANS_SUMMARY_LST_6M */
ACC_TRNS_LST_6M_CNT = 0;
ACC_TRNS_LST_6M_AMT = .;

/* Variables of TRANS_TRANSFER_LST_6M */
ACC_ATM_SST_TRS_FR_LST_6M_AMT = .;
ACC_ATM_SST_TRS_FR_LST_6M_CNT = 0;
ACC_INN_TRS_FR_LST_6M_AMT = .;
ACC_INN_TRS_FR_LST_6M_CNT = 0;
ACC_MAX_TRS_FR_LST_6M_AMT = .;
ACC_MIN_TRS_FR_LST_6M_AMT = .;
ACC_MN_ATM_TRS_FR_LST_6M_AMT = .;
ACC_MN_INN_TRS_FR_LST_6M_AMT = .;
ACC_MN_PHN_TRS_FR_LST_6M_AMT = .;
ACC_MN_TLR_TRS_FR_LST_6M_AMT = .;
ACC_MX_ATM_TRS_FR_LST_6M_AMT = .;
ACC_MX_INN_TRS_FR_LST_6M_AMT = .;
ACC_MX_PHN_TRS_FR_LST_6M_AMT = .;
ACC_MX_TLR_TRS_FR_LST_6M_AMT = .;
ACC_PHN_TRS_FR_LST_6M_AMT = .;
ACC_PHN_TRS_FR_LST_6M_CNT = 0;
ACC_TLR_TRS_FR_LST_6M_AMT = .;
ACC_TLR_TRS_FR_LST_6M_CNT = 0;
ACC_TRS_FR_LST_6M_AMT = .;
ACC_TRS_FR_LST_6M_CNT = 0;
ACC_MAX_TRS_IN2_LST_6M_AMT = .;
ACC_MIN_TRS_IN2_LST_6M_AMT = .;
ACC_TRS_IN2_LST_6M_AMT = .;
ACC_TRS_IN2_LST_6M_CNT = 0;
ACC_IBT_LST_6M_AMT = .;
ACC_IBT_LST_6M_CNT = 0;
ACC_MAX_IBT_LST_6M_AMT = .;
ACC_MAX_OBT_LST_6M_AMT = .;
ACC_MIN_IBT_LST_6M_AMT = .;
ACC_MIN_OBT_LST_6M_AMT = .;
ACC_OBT_LST_6M_AMT = .;
ACC_OBT_LST_6M_CNT = 0;

/************************* For 12 months **********************/
/*Variables of TRANS_CASHBACK_REFUND_LST_12M */
ACC_CSHBCK_LST_12M_AMT = .;
ACC_MAX_CSHBCK_LST_12M_AMT = .;
ACC_MIN_CSHBCK_LST_12M_AMT = .;
ACC_MAX_REF_LST_12M_AMT = .;
ACC_MIN_REF_LST_12M_AMT = .;
ACC_REF_LST_12M_AMT = .;
ACC_REF_LST_12M_CNT = 0;

/*Variables of TRANS_CCD_MERCHANTCAT_LST_12M */
ACC_CCD_ARL_LST_12M_AMT = .;
ACC_CCD_ARL_LST_12M_CNT = 0;
ACC_CCD_AUT_LST_12M_AMT = .;
ACC_CCD_AUT_LST_12M_CNT = 0;
ACC_CCD_CLTH_LST_12M_AMT = .;
ACC_CCD_CLTH_LST_12M_CNT = 0;
ACC_CCD_CRN_LST_12M_AMT = .;
ACC_CCD_CRN_LST_12M_CNT = 0;
ACC_CCD_ENT_LST_12M_AMT = .;
ACC_CCD_ENT_LST_12M_CNT = 0;
ACC_CCD_FIN_LST_12M_AMT = .;
ACC_CCD_FIN_LST_12M_CNT = 0;
ACC_CCD_FUD_LST_12M_AMT = .;
ACC_CCD_FUD_LST_12M_CNT = 0;
ACC_CCD_GOV_LST_12M_AMT = .;
ACC_CCD_GOV_LST_12M_CNT = 0;
ACC_CCD_HHD_LST_12M_AMT = .;
ACC_CCD_HHD_LST_12M_CNT = 0;
ACC_CCD_HLTH_LST_12M_AMT = .;
ACC_CCD_HLTH_LST_12M_CNT = 0;
ACC_CCD_HTL_LST_12M_AMT = .;
ACC_CCD_HTL_LST_12M_CNT = 0;
ACC_CCD_NOUSE_LST_12M_MTH_CNT = 0;
ACC_CCD_PER_LST_12M_AMT = .;
ACC_CCD_PER_LST_12M_CNT = 0;
ACC_CCD_TPT_LST_12M_AMT = .;
ACC_CCD_TPT_LST_12M_CNT = 0;
ACC_CCD_USE_LST_12M_CNT = 0;
ACC_CCD_UTLY_LST_12M_AMT = .;
ACC_CCD_UTLY_LST_12M_CNT = 0;

/* Variables of TRANS_CHANNEL_USAGE_LST_12M */
ACC_ATM_USE_LST_12M_CNT = 0;
ACC_INN_USE_LST_12M_CNT = 0;
ACC_PHN_USE_LST_12M_CNT = 0;
ACC_TLR_USE_LST_12M_CNT = 0;

/* Variables of TRANS_CHECK_ISSUE_LST_12M */
ACC_CHQ_ISU_LST_12M_AMT = .;
ACC_CHQ_ISU_LST_12M_CNT = 0;

/* Variables of TRANS_DDR_SORD_LST_12M */
ACC_MIN_DDR_LST_12M_AMT = .;
ACC_MAX_DDR_LST_12M_AMT = .;
ACC_MIN_SORD_LST_12M_AMT = .;
ACC_MAX_SORD_LST_12M_AMT = .;
ACC_SORD_LST_12M_AMT = .;
ACC_DDR_LST_12M_AMT = .;

/* Variables of TRANS_DEP_WDR_LST_12M */
ACC_ATM_WDR_LST_12M_AMT = .;
ACC_ATM_WDR_LST_12M_CNT = 0;
ACC_MAX_ATM_WDR_LST_12M_AMT = .;
ACC_MAX_TLR_WDR_LST_12M_AMT = .;
ACC_MAX_WDR_LST_12M_AMT = .;
ACC_MIN_ATM_WDR_LST_12M_AMT = .;
ACC_MIN_TLR_WDR_LST_12M_AMT = .;
ACC_MIN_WDR_LST_12M_AMT = .;
ACC_TLR_WDR_LST_12M_AMT = .;
ACC_TLR_WDR_LST_12M_CNT = 0;
ACC_WDR_LST_12M_AMT = .;
ACC_WDR_LST_12M_CNT = 0;
ACC_DEP_ENC_LST_12M_AMT = .;
ACC_DEP_ERLY_ENC_LST_12M_CNT = 0;
ACC_DEP_LST_12M_AMT = .;
ACC_DEP_LST_12M_CNT = 0;
ACC_MAX_DEP_LST_12M_AMT = .;
ACC_MIN_DEP_LST_12M_AMT = .;

/* Variables of TRANS_DR_CR_LST_12M */
ACC_CR_TRNS_LST_12M_AMT = .;
ACC_CR_TRNS_LST_12M_CNT = 0;
ACC_DR_TRNS_LST_12M_AMT = .;
ACC_DR_TRNS_LST_12M_CNT = 0;
ACC_MAX_CR_TRNS_LST_12M_AMT = .;
ACC_MIN_CR_TRNS_LST_12M_AMT = .;
ACC_MAX_DR_TRNS_LST_12M_AMT = .;
ACC_MIN_DR_TRNS_LST_12M_AMT = .;

/* Variables of TRANS_FEES_LST_12M */
ACC_ATM_ISU_FEE_LST_12M_AMT = .;
ACC_BBLO_FEE_LST_12M_AMT = .;
ACC_CADV_FEE_LST_12M_AMT = .;
ACC_CHQ_BK_FEE_LST_12M_AMT = .;
ACC_DLD_PAY_FEE_LST_12M_AMT = .;
ACC_DSHNR_PAY_FEE_LST_12M_AMT = .;
ACC_DUP_STMT_FEE_LST_12M_AMT = .;
ACC_FEE_LST_12M_AMT = .;
ACC_IBT_FEE_LST_12M_AMT = .;
ACC_LMT_INR_FEE_LST_12M_AMT = .;
ACC_MAX_DFEE2AVG_INST_L12M_PCT = .;
ACC_MAX_FEE_LST_12M_AMT = .;
ACC_MIN_DFEE2AVG_INST_L12M_PCT = .;
ACC_MIN_FEE_LST_12M_AMT = .;
ACC_MIS_INST_FEE_LST_12M_AMT = .;
ACC_MNTS_FEE_LST_12M_AMT = .;
ACC_OBT_FEE_LST_12M_AMT = .;
ACC_OTL_FEE_LST_12M_AMT = .;
ACC_OVD_FACY_FEE_LST_12M_AMT = .;
ACC_PPY_FEE_LST_12M_AMT = .;
ACC_RTTYP_CHG_FEE_LST_12M_AMT = .;
ACC_SRV_VIS_FEE_LST_12M_AMT = .;
ACC_TRNS_FEE_LST_12M_AMT = .;
ACC_ANNL_FEE_LST_12M_AMT = .;
ACC_CLS_FEE_LST_12M_AMT = .;

/* Variables of TRANS_FEES_WAIVED_LST_12M */
ACC_FWV_LST_12M_AMT = .;
ACC_FWV_LST_12M_CNT = 0;
ACC_MAX_FWV_LST_12M_AMT = .;
ACC_MIN_FWV_LST_12M_AMT = .;

/* Variables of TRANS_INST_PAYMENTS_LST_12M */
ACC_INT_LST_12M_AMT = .;
ACC_INT_LST_12M_CNT = 0;
ACC_INT_RCD_LST_12M_AMT = .;
ACC_INT_RCD_LST_12M_CNT = 0;
ACC_INT_RINV_LST_12M_AMT = .;
ACC_INT_RINV_LST_12M_CNT = 0;
ACC_MAX_INT_LST_12M_AMT = .;
ACC_MAX_INT_RCD_LST_12M_AMT = .;
ACC_MAX_PPL_INT_LST_12M_AMT = .;
ACC_MIN_INT_LST_12M_AMT = .;
ACC_MIN_INT_RCD_LST_12M_AMT = .;
ACC_MIN_PPL_INT_LST_12M_AMT = .;
ACC_MN_INT_RINV_LST_12M_AMT = .;
ACC_MX_INT_RINV_LST_12M_AMT = .;
ACC_PPL_INT_PYD_LST_12M_AMT = .;
ACC_MAX_PPL_LST_12M_AMT = .;
ACC_MIN_PPL_LST_12M_AMT = .;
ACC_PPL_LST_12M_AMT = .;
ACC_PPL_LST_12M_CNT = 0;
ACC_ADDL_PAY_LST_12M_AMT = .;
ACC_ADDL_PAY_LST_12M_CNT = 0;
ACC_ESCR_LST_12M_AMT = .;
ACC_MAX_ESCR_PYD_LST_12M_AMT = .;
ACC_MIN_ESCR_PYD_LST_12M_AMT = .;

/* Variables of TRANS_PAYMENTS_LST_12M */
ACC_DLD_PAY_LST_12M_CNT = 0;
ACC_DSHNR_PAY_LST_12M_AMT = .;
ACC_DSHNR_PAY_LST_12M_CNT = 0;
ACC_MAX_DSHNR_PAY_LST_12M_AMT = .;
ACC_MAX_PAY_LST_12M_AMT = .;
ACC_MIN_DSHNR_PAY_LST_12M_AMT = .;
ACC_MIN_PAY_LST_12M_AMT = .;
ACC_PAY_LST_12M_AMT = .;
ACC_PREPAY_LST_12M_AMT = .;

/* Variables of TRANS_PUR_CADV_OVL_LST_12M */
ACC_IPUR_LST_12M_AMT = .;
ACC_IPUR_LST_12M_CNT = 0;
ACC_LPUR_LST_12M_AMT = .;
ACC_LPUR_LST_12M_CNT = 0;
ACC_MAX_IPUR_LST_12M_AMT = .;
ACC_MAX_LPUR_LST_12M_AMT = .;
ACC_MAX_PUR_LST_12M_AMT = .;
ACC_MIN_IPUR_LST_12M_AMT = .;
ACC_MIN_LPUR_LST_12M_AMT = .;
ACC_MIN_PUR_LST_12M_AMT = .;
ACC_PUR_LST_12M_AMT = .;
ACC_PUR_LST_12M_CNT = 0;
ACC_AVG_CADV_LST_12M_AMT = .;
ACC_CADV_LST_12M_AMT = .;
ACC_CADV_LST_12M_CNT = 0;
ACC_MAX_CADV_LST_12M_AMT = .;
ACC_MIN_CADV_LST_12M_AMT = .;
ACC_OTL_LST_12M_CNT = 0;

/* Variables of TRANS_SUMMARY_LST_12M */
ACC_TRNS_LST_12M_CNT = 0;
ACC_TRNS_LST_12M_AMT = .;

/* Variables of TRANS_TRANSFER_LST_12M */
ACC_ATM_SST_TRS_FR_LST_12M_AMT = .;
ACC_ATM_SST_TRS_FR_LST_12M_CNT = 0;
ACC_INN_TRS_FR_LST_12M_AMT = .;
ACC_INN_TRS_FR_LST_12M_CNT = 0;
ACC_MAX_TRS_FR_LST_12M_AMT = .;
ACC_MIN_TRS_FR_LST_12M_AMT = .;
ACC_MN_ATM_TRS_FR_LST_12M_AMT = .;
ACC_MN_INN_TRS_FR_LST_12M_AMT = .;
ACC_MN_PHN_TRS_FR_LST_12M_AMT = .;
ACC_MN_TLR_TRS_FR_LST_12M_AMT = .;
ACC_MX_ATM_TRS_FR_LST_12M_AMT = .;
ACC_MX_INN_TRS_FR_LST_12M_AMT = .;
ACC_MX_PHN_TRS_FR_LST_12M_AMT = .;
ACC_MX_TLR_TRS_FR_LST_12M_AMT = .;
ACC_PHN_TRS_FR_LST_12M_AMT = .;
ACC_PHN_TRS_FR_LST_12M_CNT = 0;
ACC_TLR_TRS_FR_LST_12M_AMT = .;
ACC_TLR_TRS_FR_LST_12M_CNT = 0;
ACC_TRS_FR_LST_12M_AMT = .;
ACC_TRS_FR_LST_12M_CNT = 0;
ACC_MAX_TRS_IN2_LST_12M_AMT = .;
ACC_MIN_TRS_IN2_LST_12M_AMT = .;
ACC_TRS_IN2_LST_12M_AMT = .;
ACC_TRS_IN2_LST_12M_CNT = 0;
ACC_IBT_LST_12M_AMT = .;
ACC_IBT_LST_12M_CNT = 0;
ACC_MAX_IBT_LST_12M_AMT = .;
ACC_MAX_OBT_LST_12M_AMT = .;
ACC_MIN_IBT_LST_12M_AMT = .;
ACC_MIN_OBT_LST_12M_AMT = .;
ACC_OBT_LST_12M_AMT = .;
ACC_OBT_LST_12M_CNT = 0;

/************************* For 13_24 months **********************/
/*Variables of TRANS_CASHBACK_REFUND_13_24M */
ACC_CSHBCK_13_24M_AMT = .;
ACC_MAX_CSHBCK_13_24M_AMT = .;
ACC_MIN_CSHBCK_13_24M_AMT = .;
ACC_MAX_REF_13_24M_AMT = .;
ACC_MIN_REF_13_24M_AMT = .;
ACC_REF_13_24M_AMT = .;
ACC_REF_13_24M_CNT = 0;

/*Variables of TRANS_CCD_MERCHANTCAT_13_24M */
ACC_CCD_ARL_13_24M_AMT = .;
ACC_CCD_ARL_13_24M_CNT = 0;
ACC_CCD_AUT_13_24M_AMT = .;
ACC_CCD_AUT_13_24M_CNT = 0;
ACC_CCD_CLTH_13_24M_AMT = .;
ACC_CCD_CLTH_13_24M_CNT = 0;
ACC_CCD_CRN_13_24M_AMT = .;
ACC_CCD_CRN_13_24M_CNT = 0;
ACC_CCD_ENT_13_24M_AMT = .;
ACC_CCD_ENT_13_24M_CNT = 0;
ACC_CCD_FIN_13_24M_AMT = .;
ACC_CCD_FIN_13_24M_CNT = 0;
ACC_CCD_FUD_13_24M_AMT = .;
ACC_CCD_FUD_13_24M_CNT = 0;
ACC_CCD_GOV_13_24M_AMT = .;
ACC_CCD_GOV_13_24M_CNT = 0;
ACC_CCD_HHD_13_24M_AMT = .;
ACC_CCD_HHD_13_24M_CNT = 0;
ACC_CCD_HLTH_13_24M_AMT = .;
ACC_CCD_HLTH_13_24M_CNT = 0;
ACC_CCD_HTL_13_24M_AMT = .;
ACC_CCD_HTL_13_24M_CNT = 0;
ACC_CCD_NOUSE_13_24M_MTH_CNT = 0;
ACC_CCD_PER_13_24M_AMT = .;
ACC_CCD_PER_13_24M_CNT = 0;
ACC_CCD_TPT_13_24M_AMT = .;
ACC_CCD_TPT_13_24M_CNT = 0;
ACC_CCD_USE_13_24M_CNT = 0;
ACC_CCD_UTLY_13_24M_AMT = .;
ACC_CCD_UTLY_13_24M_CNT = 0;

/* Variables of TRANS_CHANNEL_USAGE_13_24M */
ACC_ATM_USE_13_24M_CNT = 0;
ACC_INN_USE_13_24M_CNT = 0;
ACC_PHN_USE_13_24M_CNT = 0;
ACC_TLR_USE_13_24M_CNT = 0;

/* Variables of TRANS_CHECK_ISSUE_13_24M */
ACC_CHQ_ISU_13_24M_AMT = .;
ACC_CHQ_ISU_13_24M_CNT = 0;

/* Variables of TRANS_DDR_SORD_13_24M */
ACC_MIN_DDR_13_24M_AMT = .;
ACC_MAX_DDR_13_24M_AMT = .;
ACC_MIN_SORD_13_24M_AMT = .;
ACC_MAX_SORD_13_24M_AMT = .;
ACC_SORD_13_24M_AMT = .;
ACC_DDR_13_24M_AMT = .;

/* Variables of TRANS_DEP_WDR_13_24M */
ACC_ATM_WDR_13_24M_AMT = .;
ACC_ATM_WDR_13_24M_CNT = 0;
ACC_MAX_ATM_WDR_13_24M_AMT = .;
ACC_MAX_TLR_WDR_13_24M_AMT = .;
ACC_MAX_WDR_13_24M_AMT = .;
ACC_MIN_ATM_WDR_13_24M_AMT = .;
ACC_MIN_TLR_WDR_13_24M_AMT = .;
ACC_MIN_WDR_13_24M_AMT = .;
ACC_TLR_WDR_13_24M_AMT = .;
ACC_TLR_WDR_13_24M_CNT = 0;
ACC_WDR_13_24M_AMT = .;
ACC_WDR_13_24M_CNT = 0;
ACC_DEP_ENC_13_24M_AMT = .;
ACC_DEP_ERLY_ENC_13_24M_CNT = 0;
ACC_DEP_13_24M_AMT = .;
ACC_DEP_13_24M_CNT = 0;
ACC_MAX_DEP_13_24M_AMT = .;
ACC_MIN_DEP_13_24M_AMT = .;

/* Variables of TRANS_DR_CR_13_24M */
ACC_CR_TRNS_13_24M_AMT = .;
ACC_CR_TRNS_13_24M_CNT = 0;
ACC_DR_TRNS_13_24M_AMT = .;
ACC_DR_TRNS_13_24M_CNT = 0;
ACC_MAX_CR_TRNS_13_24M_AMT = .;
ACC_MIN_CR_TRNS_13_24M_AMT = .;
ACC_MAX_DR_TRNS_13_24M_AMT = .;
ACC_MIN_DR_TRNS_13_24M_AMT = .;

/* Variables of TRANS_FEES_13_24M */
ACC_ATM_ISU_FEE_13_24M_AMT = .;
ACC_BBLO_FEE_13_24M_AMT = .;
ACC_CADV_FEE_13_24M_AMT = .;
ACC_CHQ_BK_FEE_13_24M_AMT = .;
ACC_DLD_PAY_FEE_13_24M_AMT = .;
ACC_DSHNR_PAY_FEE_13_24M_AMT = .;
ACC_DUP_STMT_FEE_13_24M_AMT = .;
ACC_FEE_13_24M_AMT = .;
ACC_IBT_FEE_13_24M_AMT = .;
ACC_LMT_INR_FEE_13_24M_AMT = .;
ACC_MAX_DFEE2AVG_INST_L6M_PCT = .;
ACC_MAX_FEE_13_24M_AMT = .;
ACC_MIN_DFEE2AVG_INST_L6M_PCT = .;
ACC_MIN_FEE_13_24M_AMT = .;
ACC_MIS_INST_FEE_13_24M_AMT = .;
ACC_MNTS_FEE_13_24M_AMT = .;
ACC_OBT_FEE_13_24M_AMT = .;
ACC_OTL_FEE_13_24M_AMT = .;
ACC_OVD_FACY_FEE_13_24M_AMT = .;
ACC_PPY_FEE_13_24M_AMT = .;
ACC_RTTYP_CHG_FEE_13_24M_AMT = .;
ACC_SRV_VIS_FEE_13_24M_AMT = .;
ACC_TRNS_FEE_13_24M_AMT = .;
ACC_ANNL_FEE_13_24M_AMT = .;
ACC_CLS_FEE_13_24M_AMT = .;

/* Variables of TRANS_FEES_WAIVED_13_24M */
ACC_FWV_13_24M_AMT = .;
ACC_FWV_13_24M_CNT = 0;
ACC_MAX_FWV_13_24M_AMT = .;
ACC_MIN_FWV_13_24M_AMT = .;

/* Variables of TRANS_INST_PAYMENTS_13_24M */
ACC_INT_13_24M_AMT = .;
ACC_INT_13_24M_CNT = 0;
ACC_INT_RCD_13_24M_AMT = .;
ACC_INT_RCD_13_24M_CNT = 0;
ACC_INT_RINV_13_24M_AMT = .;
ACC_INT_RINV_13_24M_CNT = 0;
ACC_MAX_INT_13_24M_AMT = .;
ACC_MAX_INT_RCD_13_24M_AMT = .;
ACC_MAX_PPL_INT_13_24M_AMT = .;
ACC_MIN_INT_13_24M_AMT = .;
ACC_MIN_INT_RCD_13_24M_AMT = .;
ACC_MIN_PPL_INT_13_24M_AMT = .;
ACC_MN_INT_RINV_13_24M_AMT = .;
ACC_MX_INT_RINV_13_24M_AMT = .;
ACC_PPL_INT_PYD_13_24M_AMT = .;
ACC_MAX_PPL_13_24M_AMT = .;
ACC_MIN_PPL_13_24M_AMT = .;
ACC_PPL_13_24M_AMT = .;
ACC_PPL_13_24M_CNT = 0;
ACC_ADDL_PAY_13_24M_AMT = .;
ACC_ADDL_PAY_13_24M_CNT = 0;
ACC_ESCR_13_24M_AMT = .;
ACC_MAX_ESCR_PYD_13_24M_AMT = .;
ACC_MIN_ESCR_PYD_13_24M_AMT = .;

/* Variables of TRANS_PAYMENTS_13_24M */
ACC_DLD_PAY_13_24M_CNT = 0;
ACC_DSHNR_PAY_13_24M_AMT = .;
ACC_DSHNR_PAY_13_24M_CNT = 0;
ACC_MAX_DSHNR_PAY_13_24M_AMT = .;
ACC_MAX_PAY_13_24M_AMT = .;
ACC_MIN_DSHNR_PAY_13_24M_AMT = .;
ACC_MIN_PAY_13_24M_AMT = .;
ACC_PAY_13_24M_AMT = .;
ACC_PREPAY_13_24M_AMT = .;

/* Variables of TRANS_PUR_CADV_OVL_13_24M */
ACC_IPUR_13_24M_AMT = .;
ACC_IPUR_13_24M_CNT = 0;
ACC_LPUR_13_24M_AMT = .;
ACC_LPUR_13_24M_CNT = 0;
ACC_MAX_IPUR_13_24M_AMT = .;
ACC_MAX_LPUR_13_24M_AMT = .;
ACC_MAX_PUR_13_24M_AMT = .;
ACC_MIN_IPUR_13_24M_AMT = .;
ACC_MIN_LPUR_13_24M_AMT = .;
ACC_MIN_PUR_13_24M_AMT = .;
ACC_PUR_13_24M_AMT = .;
ACC_PUR_13_24M_CNT = 0;
ACC_AVG_CADV_13_24M_AMT = .;
ACC_CADV_13_24M_AMT = .;
ACC_CADV_13_24M_CNT = 0;
ACC_MAX_CADV_13_24M_AMT = .;
ACC_MIN_CADV_13_24M_AMT = .;
ACC_OTL_13_24M_CNT = 0;

/* Variables of TRANS_SUMMARY_13_24M */
ACC_TRNS_13_24M_CNT = 0;
ACC_TRNS_13_24M_AMT = .;

/* Variables of TRANS_TRANSFER_13_24M */
ACC_ATM_SST_TRS_FR_13_24M_AMT = .;
ACC_ATM_SST_TRS_FR_13_24M_AMT = .;
ACC_INN_TRS_FR_13_24M_AMT = .;
ACC_INN_TRS_FR_13_24M_CNT = 0;
ACC_MAX_TRS_FR_13_24M_AMT = .;
ACC_MIN_TRS_FR_13_24M_AMT = .;
ACC_MN_ATM_TRS_FR_13_24M_AMT = .;
ACC_MN_INN_TRS_FR_13_24M_AMT = .;
ACC_MN_PHN_TRS_FR_13_24M_AMT = .;
ACC_MN_TLR_TRS_FR_13_24M_AMT = .;
ACC_MX_ATM_TRS_FR_13_24M_AMT = .;
ACC_MX_INN_TRS_FR_13_24M_AMT = .;
ACC_MX_PHN_TRS_FR_13_24M_AMT = .;
ACC_MX_TLR_TRS_FR_13_24M_AMT = .;
ACC_PHN_TRS_FR_13_24M_AMT = .;
ACC_PHN_TRS_FR_13_24M_CNT = 0;
ACC_TLR_TRS_FR_13_24M_AMT = .;
ACC_TLR_TRS_FR_13_24M_CNT = 0;
ACC_TRS_FR_13_24M_AMT = .;
ACC_TRS_FR_13_24M_CNT = 0;
ACC_MAX_TRS_IN2_13_24M_AMT = .;
ACC_MIN_TRS_IN2_13_24M_AMT = .;
ACC_TRS_IN2_13_24M_AMT = .;
ACC_TRS_IN2_13_24M_CNT = 0;
ACC_IBT_13_24M_AMT = .;
ACC_IBT_13_24M_CNT = 0;
ACC_MAX_IBT_13_24M_AMT = .;
ACC_MAX_OBT_13_24M_AMT = .;
ACC_MIN_IBT_13_24M_AMT = .;
ACC_MIN_OBT_13_24M_AMT = .;
ACC_OBT_13_24M_AMT = .;
ACC_OBT_13_24M_CNT = 0;

/********************** For Life to date *******************************/
ACC_SNC_FST_INST_MTH_CNT = 0;
ACC_INST_PAY_LTD_CNT = 0;
ACC_MAX_PREPAY_LTD_AMT = .;
ACC_MIN_PREPAY_LTD_AMT = .;
ACC_FST_PREPAY_MTH_NO = '';
ACC_MAX_IBT_LTD_AMT = .;
ACC_MIN_IBT_LTD_AMT = .;
ACC_MAX_IBT_LTD_MTH_NO = '';
ACC_MIN_IBT_LTD_MTH_NO = '';
ACC_ANNL_FEE_LTD_AMT = .;
ACC_SNC_FST_PAY_MTH_CNT = 0;
ACC_FST_PAY_MTH_NO = '';
ACC_CLS_FEE_AMT = .;
ACC_CLS_FWV_AMT = .;
ACC_CLS_RCD_AMT = .;
ACC_FST_INST_PAY_MTH_NO = '';
ACC_MTY_RCD_AMT = .;
ACC_INT_RCD_TILL_WDR_AMT = .;
ACC_INT_REINV_TILL_WDR_AMT = .;
ACC_MAX_FWV_LTD_CNT = 0;
ACC_MIN_FWV_LTD_CNT = 0;
ACC_MAX_DEP_LTD_AMT = .;
ACC_MIN_DEP_LTD_AMT = .;

%mend abt_trans_macro_reset; /* end of macro */

