/*This macro is called by the macro_acc_trans_lst_abt macro. This has all the keep statements 

for the different sub-tables of the ACC_TRANS_13_24M_ABT table. */

%macro acc_trans_13_24m_abt_keep;

abtagg.TRANS_CASHBACK_REFUND_13_24M

(KEEP=

ACCOUNT_RK

ACC_CSHBCK_13_24M_AMT

ACC_MAX_CSHBCK_13_24M_AMT

ACC_MIN_CSHBCK_13_24M_AMT

ACC_MAX_REF_13_24M_AMT

ACC_MIN_REF_13_24M_AMT

ACC_REF_13_24M_AMT

ACC_REF_13_24M_CNT

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

PRIMARY_CUSTOMER_RK

ACCOUNT_STATUS_CD

COLLATERAL_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_CCD_MERCHANTCAT_13_24M

(KEEP=

ACCOUNT_RK

ACC_CCD_ARL_13_24M_AMT

ACC_CCD_ARL_13_24M_CNT

ACC_CCD_AUT_13_24M_AMT

ACC_CCD_AUT_13_24M_CNT

ACC_CCD_CLTH_13_24M_AMT

ACC_CCD_CLTH_13_24M_CNT

ACC_CCD_CRN_13_24M_AMT

ACC_CCD_CRN_13_24M_CNT

ACC_CCD_ENT_13_24M_AMT

ACC_CCD_ENT_13_24M_CNT

ACC_CCD_FIN_13_24M_AMT

ACC_CCD_FIN_13_24M_CNT

ACC_CCD_FUD_13_24M_AMT

ACC_CCD_FUD_13_24M_CNT

ACC_CCD_GOV_13_24M_AMT

ACC_CCD_GOV_13_24M_CNT

ACC_CCD_HHD_13_24M_AMT

ACC_CCD_HHD_13_24M_CNT

ACC_CCD_HLTH_13_24M_AMT

ACC_CCD_HLTH_13_24M_CNT

ACC_CCD_HTL_13_24M_AMT

ACC_CCD_HTL_13_24M_CNT

ACC_CCD_NOUSE_13_24M_MTH_CNT

ACC_CCD_PER_13_24M_AMT

ACC_CCD_PER_13_24M_CNT

ACC_CCD_TPT_13_24M_AMT

ACC_CCD_TPT_13_24M_CNT

ACC_CCD_USE_13_24M_CNT

ACC_CCD_UTLY_13_24M_AMT

ACC_CCD_UTLY_13_24M_CNT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

COLLATERAL_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_CHANNEL_USAGE_13_24M

(KEEP=

ACCOUNT_RK

ACC_ATM_USE_13_24M_CNT

ACC_INN_USE_13_24M_CNT

ACC_PHN_USE_13_24M_CNT

ACC_TLR_USE_13_24M_CNT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

COLLATERAL_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_CHECK_ISSUE_13_24M

(KEEP=

ACCOUNT_RK

ACC_CHQ_ISU_13_24M_AMT

ACC_CHQ_ISU_13_24M_CNT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

COLLATERAL_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_DDR_SORD_13_24M

(KEEP=

ACCOUNT_RK

ACC_MIN_DDR_13_24M_AMT

ACC_MAX_DDR_13_24M_AMT

ACC_MIN_SORD_13_24M_AMT

ACC_MAX_SORD_13_24M_AMT

ACC_SORD_13_24M_AMT

ACC_DDR_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

COLLATERAL_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_DEP_WDR_13_24M

(KEEP=

ACCOUNT_RK

ACC_ATM_WDR_13_24M_AMT

ACC_ATM_WDR_13_24M_CNT

ACC_MAX_ATM_WDR_13_24M_AMT

ACC_MAX_TLR_WDR_13_24M_AMT

ACC_MAX_WDR_13_24M_AMT

ACC_MIN_ATM_WDR_13_24M_AMT

ACC_MIN_TLR_WDR_13_24M_AMT

ACC_MIN_WDR_13_24M_AMT

ACC_TLR_WDR_13_24M_AMT

ACC_TLR_WDR_13_24M_CNT

ACC_WDR_13_24M_AMT

ACC_WDR_13_24M_CNT

ACC_DEP_ENC_13_24M_AMT

ACC_DEP_ERLY_ENC_13_24M_CNT

ACC_DEP_13_24M_AMT

ACC_DEP_13_24M_CNT

ACC_MAX_DEP_13_24M_AMT

ACC_MIN_DEP_13_24M_AMT

ACCOUNT_STATUS_CD

ACCOUNT_TYPE_CD

COLLATERAL_CD

PRIMARY_CUSTOMER_RK

ACCOUNT_SUB_TYPE_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_DR_CR_13_24M

(KEEP=

ACCOUNT_RK

ACC_CR_TRNS_13_24M_AMT

ACC_CR_TRNS_13_24M_CNT

ACC_DR_TRNS_13_24M_AMT

ACC_DR_TRNS_13_24M_CNT

ACC_MAX_CR_TRNS_13_24M_AMT

ACC_MAX_DR_TRNS_13_24M_AMT

ACC_MIN_CR_TRNS_13_24M_AMT

ACC_MIN_DR_TRNS_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_FEES_13_24M

(KEEP=

ACCOUNT_RK

ACC_ATM_ISU_FEE_13_24M_AMT

ACC_BBLO_FEE_13_24M_AMT

ACC_CADV_FEE_13_24M_AMT

ACC_CHQ_BK_FEE_13_24M_AMT

ACC_DLD_PAY_FEE_13_24M_AMT

ACC_DSHNR_PAY_FEE_13_24M_AMT

ACC_DUP_STMT_FEE_13_24M_AMT

ACC_FEE_13_24M_AMT

ACC_IBT_FEE_13_24M_AMT

ACC_LMT_INR_FEE_13_24M_AMT

ACC_MAX_DFEE2AVG_INST_13_24M_PCT

ACC_MAX_FEE_13_24M_AMT

ACC_MIN_DFEE2AVG_INST_13_24M_PCT

ACC_MIN_FEE_13_24M_AMT

ACC_MIS_INST_FEE_13_24M_AMT

ACC_MNTS_FEE_13_24M_AMT

ACC_OBT_FEE_13_24M_AMT

ACC_OTL_FEE_13_24M_AMT

ACC_OVD_FACY_FEE_13_24M_AMT

ACC_PPY_FEE_13_24M_AMT

ACC_RTTYP_CHG_FEE_13_24M_AMT

ACC_SRV_VIS_FEE_13_24M_AMT

ACC_TRNS_FEE_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACC_ANNL_FEE_13_24M_AMT

ACCOUNT_SUB_TYPE_CD

ACC_CLS_FEE_13_24M_AMT

ACCOUNT_STATUS_CD

ALLOW_OVERDRAFT_FLG

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_FEES_WAIVED_13_24M

(KEEP=

ACCOUNT_RK

ACC_FWV_13_24M_AMT

ACC_FWV_13_24M_CNT

ACC_MAX_FWV_13_24M_AMT

ACC_MIN_FWV_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_INST_PAYMENTS_13_24M

(KEEP=

ACCOUNT_RK

ACC_INT_13_24M_AMT

ACC_INT_13_24M_CNT

ACC_INT_RCD_13_24M_AMT

ACC_INT_RCD_13_24M_CNT

ACC_INT_RINV_13_24M_AMT

ACC_INT_RINV_13_24M_CNT

ACC_MAX_INT_13_24M_AMT

ACC_MAX_INT_RCD_13_24M_AMT

ACC_MAX_PPL_INT_13_24M_AMT

ACC_MIN_INT_13_24M_AMT

ACC_MIN_INT_RCD_13_24M_AMT

ACC_MIN_PPL_INT_13_24M_AMT

ACC_MN_INT_RINV_13_24M_AMT

ACC_MX_INT_RINV_13_24M_AMT

ACC_PPL_INT_PYD_13_24M_AMT

ACC_MAX_PPL_13_24M_AMT

ACC_MIN_PPL_13_24M_AMT

ACC_PPL_13_24M_AMT

ACC_PPL_13_24M_CNT

ACC_ADDL_PAY_13_24M_CNT

ACC_ADDL_PAY_13_24M_AMT

ACC_ESCR_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACC_MAX_ESCR_PYD_13_24M_AMT

ACC_MIN_ESCR_PYD_13_24M_AMT

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

ALLOW_OVERDRAFT_FLG

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_PAYMENTS_13_24M

(KEEP=

ACCOUNT_RK

ACC_DLD_PAY_13_24M_CNT

ACC_DSHNR_PAY_13_24M_AMT

ACC_DSHNR_PAY_13_24M_CNT

ACC_MAX_DSHNR_PAY_13_24M_AMT

ACC_MAX_PAY_13_24M_AMT

ACC_MIN_DSHNR_PAY_13_24M_AMT

ACC_MIN_PAY_13_24M_AMT

ACC_PAY_13_24M_AMT

ACC_PREPAY_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_PUR_CADV_OVL_13_24M

(KEEP=

ACCOUNT_RK

ACC_IPUR_13_24M_AMT

ACC_IPUR_13_24M_CNT

ACC_LPUR_13_24M_AMT

ACC_LPUR_13_24M_CNT

ACC_MAX_IPUR_13_24M_AMT

ACC_MAX_LPUR_13_24M_AMT

ACC_MAX_PUR_13_24M_AMT

ACC_MIN_IPUR_13_24M_AMT

ACC_MIN_LPUR_13_24M_AMT

ACC_MIN_PUR_13_24M_AMT

ACC_PUR_13_24M_AMT

ACC_PUR_13_24M_CNT

ACC_AVG_CADV_13_24M_AMT

ACC_CADV_13_24M_AMT

ACC_CADV_13_24M_CNT

ACC_MAX_CADV_13_24M_AMT

ACC_MIN_CADV_13_24M_AMT

ACC_OTL_13_24M_CNT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

COLLATERAL_CD

ALLOW_OVERDRAFT_FLG

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_SUMMARY_13_24M

(KEEP=

ACCOUNT_RK

ACC_TRNS_13_24M_CNT

ACC_TRNS_13_24M_AMT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

COLLATERAL_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



abtagg.TRANS_TRANSFER_13_24M

(KEEP=

ACCOUNT_RK

ACC_ATM_SST_TRS_FR_13_24M_AMT

ACC_ATM_SST_TRS_FR_13_24M_CNT

ACC_INN_TRS_FR_13_24M_AMT

ACC_INN_TRS_FR_13_24M_CNT

ACC_MAX_TRS_FR_13_24M_AMT

ACC_MIN_TRS_FR_13_24M_AMT

ACC_MN_ATM_TRS_FR_13_24M_AMT

ACC_MN_INN_TRS_FR_13_24M_AMT

ACC_MN_PHN_TRS_FR_13_24M_AMT

ACC_MN_TLR_TRS_FR_13_24M_AMT

ACC_MX_ATM_TRS_FR_13_24M_AMT

ACC_MX_INN_TRS_FR_13_24M_AMT

ACC_MX_PHN_TRS_FR_13_24M_AMT

ACC_MX_TLR_TRS_FR_13_24M_AMT

ACC_PHN_TRS_FR_13_24M_AMT

ACC_PHN_TRS_FR_13_24M_CNT

ACC_TLR_TRS_FR_13_24M_AMT

ACC_TLR_TRS_FR_13_24M_CNT

ACC_TRS_FR_13_24M_AMT

ACC_TRS_FR_13_24M_CNT

ACC_MAX_TRS_IN2_13_24M_AMT

ACC_MIN_TRS_IN2_13_24M_AMT

ACC_TRS_IN2_13_24M_AMT

ACC_TRS_IN2_13_24M_CNT

ACC_IBT_13_24M_AMT

ACC_IBT_13_24M_CNT

ACC_MAX_IBT_13_24M_AMT

ACC_MAX_OBT_13_24M_AMT

ACC_MIN_IBT_13_24M_AMT

ACC_MIN_OBT_13_24M_AMT

ACC_OBT_13_24M_AMT

ACC_OBT_13_24M_CNT

PRIMARY_CUSTOMER_RK

ACCOUNT_TYPE_CD

ACCOUNT_SUB_TYPE_CD

ACCOUNT_STATUS_CD

COLLATERAL_CD

BACK_3M_TIME_SK

BACK_6M_TIME_SK

BACK_12M_TIME_SK

BACK_24M_TIME_SK

LOAD_ABT_USER_INPUT_DTTM

LOAD_ABT_USER_INPUT_DATE

CURR_TIME_SK)



%mend acc_trans_13_24m_abt_keep; /* end of macro */



