%global category scat noofjobs vname vshortname vdesc vgroup aggtab aggvar aggtkey level 
	table_cat table_key lftflg;
%let lib=analytic;
%select_abt_vars_screen_links;
%macro getmvars;
%do c=1 %to &noofjobs;
	%global jobname&c;
	%global joblevel&c;	
	%global chjobs&c;	
	%global chjobs&c.1;
	%global chjobs&c.2;
	%global chjobs&c.3;
	%global chjobs&c.4;
	%global chjobs&c.5;
	%global jflag&c;
%end;
%do c=1 %to &noofjobs;	
	%let joblevel&c=;
	%let chjobs&c=;	
	%let chjobs&c.1=;
	%let chjobs&c.2=;	
	%let chjobs&c.3=;	
	%let chjobs&c.4=;	
	%let chjobs&c.5=;	
	proc sql;
	select JOB_LEVEL_NO, CHILD_JOBS into :joblevel&c, :chjobs&c from &lib..job_x_level where job_nm = strip("&&jobname&c");
	quit;
	%let joblevel&c=&&joblevel&c;
	%let chjobs&c=&&chjobs&c;
%end;
%mend getmvars;
%getmvars;

%select_abt_vars_screen_links;

/* Setting output library based on the debug flag */
%let out_lib=;
%debug_lib_path;

data _null_;
file _webout &webout_options;
	put '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
	put '<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/dashboard.dwt" codeOutsideHTMLIsLocked="false" -->';
	put '  <head>';
	put '    <meta http-equiv="content-type" content="text/html;charset=utf-8" />';
	  /*I18N-scnjih-20080429-1542*/
	/*put '    <!-- InstanceBeginEditable name="doctitle" --><title>Layout</title><!-- InstanceEndEditable -->';*/
		put '    <!-- InstanceBeginEditable name="doctitle" --><title>'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,title_of_layout.1, noquote))"@;
		put '</title><!-- InstanceEndEditable -->';
	
	 /*I18N-scnjih-20080429-1542*/
	put '    <link rel="stylesheet" type="text/css" href="/SASABTFramework/styles/default.css" />';

	put '<style type="text/css">';
	put 'body {background-color: #faf8ed}';
	put '</style>';

	/* External scripts */
	put '    <script src="/SASABTFramework/javascript/scripts.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/buttonMenu.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/overlib.js" type="text/javascript"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/table_controls.js"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/boxOver.js"></script>';
	put '	 <script language="JavaScript" src="/SASABTFramework/javascript/editable_combo.js"></script>';
	put '    <script type="text/javascript">';
	put '    <!--';

	put 'function validate_jl(obj,evt)';
	put '{';
		put 'var e = event || evt;';
		put 'var charCode = e.which || e.keyCode;';
		put 'if (charCode < 48 || charCode > 57)';
		put '{';
			put '	return false;';
		put '}';
	put 'return true;';
	put '}';

	put 'function validate_cj(obj,evt)';
	put '{';
	put 'var e = event || evt;';
	put 'var charCode = e.which || e.keyCode;';
	put 'if (charCode != 95 && (charCode < 48 || charCode > 57) && (charCode < 97 || charCode > 122) && (charCode < 65 || charCode > 90))';
	put '{';
		put '	return false;';
	put '}';
	put 'return true;';
	put '}';

	put 'function cancel()';
	put '{';
	put "form1._program.value=&JOB_DETAILS;";
	put 'form1.submit();';
	put '}';
run;
%macro nextbutton;
data _null_;
file _webout &webout_options;
put 'function save()';
put '{';
	%do c=1 %to &noofjobs;
		put "if(form1.joblevel&c..value=='')";
		put '{';
		put 'alert("'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_msgjoblvl.1, noquote))"@;
		put "&c"@;
		put '");';
		put 'return;';
		put '}';		
		%if "&&joblevel&c" eq "" %then %do;		
			put "form1.jflag&c..value='Y'"@;
			put ";";
		%end;
		%else %do;
			put "form1.jflag&c..value='N'"@;
			put ";";
		%end;
	%end;
put "form1._program.value=&SAVE_ADD_VAR;";
put 'form1.submit();';
put '}';
run;
%mend nextbutton;
%nextbutton;
data _null_;
file _webout &webout_options;	
	put '    -->';
	put '    </script>';
	put '  </head>';
	put '  <body>';

	put '<form name="form1" action="/SASStoredProcess/do" method="post">';
	put '<input type="hidden" name="_program" value="">';
	put '<input type="hidden" name="noofjobs" value="'@; put "&noofjobs"@; put '">';
	put "<input type='hidden' name='category' value=""&category"">";
	put "<input type='hidden' name='scat' value=""&scat"">";
	put "<input type='hidden' name='vname' value=""&vname"">";
	put "<input type='hidden' name='vshortname' value=""&vshortname"">";
	put "<input type='hidden' name='vdesc' value=""&vdesc"">";
	put "<input type='hidden' name='vgroup' value=""&vgroup"">";
	put "<input type='hidden' name='aggtab' value=""&aggtab"">";
	put "<input type='hidden' name='aggvar' value=""&aggvar"">";
	put "<input type='hidden' name='aggtkey' value=""&aggtkey"">";
	put "<input type='hidden' name='level' value=""&level"">";
	put "<input type='hidden' name='table_cat' value=""&table_cat"">";
	put "<input type='hidden' name='table_key' value=""&table_key"">";
	put "<input type='hidden' name='lftflg' value=""&lftflg"">";	
run;
%macro dispjobdtls;
data _null_;
file _webout &webout_options;
%do i=1 %to &noofjobs;
	put '<input type="hidden" name="jobname'@;
	put "&i"@;
	put '" value="'@;
	put "&&jobname&i";
	put '">';	
%end;
	put '<table class="tableview" width="100%" border="0" cellpadding="0" cellspacing="0">';
	put '<tr><th class="tableheader">' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_jobnchjobinfo.1, noquote))"@;
	put '</th></tr>';
	put '</table>';
	put '<br>';
run;
data _null_;
file _webout &webout_options;
put '<table class="tableview">';
%do i=1 %to &noofjobs;
	put "<input type='hidden' name=""jflag&i"">";
	put '<tr>';
	put '<td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_jobname.1, noquote))"@;
	put '</td>';
	put "<td>&&jobname&i</td>";
	put '<td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_joblvl.1, noquote))"@;
	put '</td>';
	if "&&joblevel&i" ne "" then
		put "<td><input type='text' style='width:50px;' name=""joblevel&i"" value=""&&joblevel&i"" readonly=true/></td>";
	else
		put "<td><input type='text' style='width:50px;' name=""joblevel&i"" value="""" onkeypress='return validate_jl(this);'/>***</td>";
	put '</tr>';
%end;
put '</table>';
put '<br>';
run;
data _null_;
file _webout &webout_options;
put '<table class="tableview">';
put '<tr><td>' @ ;
put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_jobs.1, noquote))"@;
put '</td><td>' @ ;
put "%sysfunc(sasmsg(smd_ds.bismsg,abt.chjobdtls_chjobs.1, noquote))"@;
put '</td></tr>';
%do i=1 %to &noofjobs;
	put '<tr>';
	put "<td>&&jobname&i</td>";
	if "&&joblevel&i" ne "" then do;
		put "<td><input type='text' style='width:400px;' name=""chjobs&i"" value="""@;
		if "&&chjobs&i" eq "" then
			put "No child jobs"@;
		else
			put "&&chjobs&i"@;
		put '" readonly=true/></td>';
	end;
	else do;
		put "<td><input type='text' style='width:100px;' name=""chjobs&i.1"" onkeypress='return validate_cj(this);'/>";
		put "<input type='text' style='width:100px;' name=""chjobs&i.2"" onkeypress='return validate_cj(this);'/>";
		put "<input type='text' style='width:100px;' name=""chjobs&i.3"" onkeypress='return validate_cj(this);'/>";
		put "<input type='text' style='width:100px;' name=""chjobs&i.4"" onkeypress='return validate_cj(this);'/>";
		put "<input type='text' style='width:100px;' name=""chjobs&i.5"" onkeypress='return validate_cj(this);'/>***</td>";
	end;
	put '</tr>';
%end;
put '</table>';
put '<br>';
run;
%mend dispjobdtls;
%dispjobdtls;

data _null_;
file _webout &webout_options;
	put '<table border="0" class="tableview" cellpadding="3" cellspacing="0" summary="Action Buttons" id="dialogbuttons" width="100%">';
	put '<tr>';
	put '<td>';
	put '<input class="mmhide_btn" style="width:80px;" onmouseover="hov(this,''mmhide_btn mmhide_btnhov'')" onmouseout="hov(this,''mmhide_btn'')" value="' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.prevbttn.1, noquote))"@;
	put '" name="Previous" type="button" onclick="cancel()">';
	put '</td>';
	put '<td>';
	put '<input class="mmhide_btn" style="width:80px;" onmouseover="hov(this,''mmhide_btn mmhide_btnhov'')" onmouseout="hov(this,''mmhide_btn'')" value="' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.savebttn.1, noquote))"@;
	put '" name="Save" type="button" onclick="save()">';
	put '</td>';
	put '</tr>';
	put '</table>';
	put '</form>';
	put '</body>';
	put '</html>';
run;

