%global strvkey category scat;
%let lib=analytic;
%select_abt_vars_screen_links;

proc sql;
select var_nm, var_short_nm, var_desc, var_group,
agg_table_nm, agg_var_nm, agg_table_key, l_no 
into :vn, :vsn, :vdesc, :vgroup, :atname, :avname, :atkey, :alno 
from &lib..var_master
where v_no=&strvkey;
quit;

%let vn=&vn;
%let vsn=&vsn;
%let vdesc=&vdesc;
%let vgroup=&vgroup;
%let atname=&atname;
%let avname=&avname;
%let atkey=&atkey;
%let alno=&alno;

data _null;
	file _webout &webout_options;
	put '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
	put '<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/dashboard.dwt" codeOutsideHTMLIsLocked="false" -->';
	put '  <head>';
	put '    <meta http-equiv="content-type" content="text/html;charset=utf-8"/>';
	 /*I18N-scnjih-20080429-1544*/
	/*put '    <!-- InstanceBeginEditable name="doctitle" --><title>Layout</title><!-- InstanceEndEditable -->';*/
		put '    <!-- InstanceBeginEditable name="doctitle" --><title>'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,title_of_layout.1, noquote))"@;
		put '</title><!-- InstanceEndEditable -->';
	
	 /*I18N-scnjih-20080429-1544*/
	put '    <link rel="stylesheet" type="text/css" href="/SASABTFramework/styles/default.css" />';

	/* External scripts */
	put '    <script src="/SASABTFramework/javascript/scripts.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/buttonMenu.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/overlib.js" type="text/javascript"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/table_controls.js"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/boxOver.js"></script>';
	put '    <script type="text/javascript">';
	put '    <!--';
	
	put 'function OK()';	
	put '{';
	put "		form1._program.value=&EDIT_VAR_UPD;";
	put '		form1.submit();';
	put '}';

	put 'function Cancel()';	
	put '{';
	put "		form1._program.value=&DISPLAY_VAR;";
	put '		form1.submit();';
	put '}';
	
	put '    -->';
	put '    </script>';
	put '  </head>';
	put '  <body>';

	put '<form name="form1" action="/SASStoredProcess/do" method="post">';
	put '<input type="hidden" name="_program" value="">';
	put '<input type="hidden" name="strvkey" value="'@;put "&strvkey" @; put '">';
	put '<input type="hidden" name="category" value="'@; put "&category"@; put '">';
	put '<input type="hidden" name="scat" value="'@; put "&scat"@; put '">';

	put '<table border="0"><tr><td></td><td>';
	put '<table class="tableview" cellpadding="0">';
	put '<tr>';
	put "<th class=""tabletextcol"">" @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.var_category.1, noquote))"@;
	put "</th><td class=""tabletextcol"">&category</td>";
	put '</tr><tr>';
	put "<th class=""tabletextcol"">" @;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.var_subcategory.1, noquote))"@;
	put "</th><td class=""tabletextcol"">&scat</td>";
	put '</tr>';
	put '</table>';
	put '</td>';
	put '<td></td></table>';

	/* Table displaying the variables */
	put '<table border="0" width="100%"><tr><td></td><td>';
	put '<table border="0" cellpadding="0" cellspacing="3" summary="" class="tableview" width="100%"><tr valign="top">';

	put '<tr class="tableevenrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_variable_name.1, noquote))"@;
	put '</td>'@;
	put '<td>';
	put "&vn";
	put '</td></tr>';
	put '<tr class="tableoddrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_variable_short_name.1, noquote))"@;
	put '</td>';
	put '<td><input type="text" maxLength="125" style="width:300px;" name="vshortname" value="'@;
	put "&vsn"@;
	put '"></td></tr>';
	put '<tr class="tableevenrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_variable_desc.1, noquote))"@;
	put '</td>';
	put '<td><input type="text" maxLength="1200" style="width:300px;" name="vdesc" value="'@; 
	put "&vdesc"@;
	put '"></td></tr>';
	put '<tr class="tableoddrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_variable_group.1, noquote))"@;
	put '</td>';
	put '<td>'@; 
	put "&vgroup"@;
	put '</td></tr>';
	put '<tr class="tableevenrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_aggtabname.1, noquote))"@;
	put '</td>';
	put '<td>'@; 
	put "&atname"@;
	put '</td></tr>';
	put '<tr class="tableoddrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_aggvarname.1, noquote))"@;
	put '</td>';
	put '<td>'@; 
	put "&avname"@;
	put '</td></tr>';
	put '<tr class="tableevenrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_aggtabkey.1, noquote))"@;
	put '</td>';
	put '<td>'@; 
	put "&atkey"@;
	put '</td></tr>';
	put '<tr class="tableoddrow"><td>' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.edit_var_levelno.1, noquote))"@;
	put '</td>';
	put '<td>'@; 
	put "&alno"@;
	put '</td></tr>';
	put '<td>';
	put '<table>';
	put '<tr>';
	put '<td><INPUT type=button class=mmhide_btn onclick="javascript:OK();" value="' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.okbttn.1, noquote))"@;
	put '">';
	put '<INPUT type=button class=mmhide_btn onclick="javascript:Cancel();" value="'@;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.cancelbttn.1, noquote))"@;
	put '"></td>';
	put '</tr>';
	put '</tr></table>';
	put '</td>';
	put '</table>';
	put '</body>';
	put '</html>';
run;
