%global category scat noofjobs 
	vname vshortname vdesc vgroup aggtab aggvar aggtkey level 
	table_cat table_key lftflg;

%macro decljobvars;
%do c=1 %to &noofjobs;
	%global jobname&c;
	%let jobname&c = &&jobname&c;
%end;
%mend decljobvars;
%decljobvars;

%let lib=analytic;
%select_abt_vars_screen_links;
/* Setting output library based on the debug flag */
%let out_lib=;
%debug_lib_path;

%let chkvname=;
%let chkinactvname=;
%macro chkvarfordups;
proc sql;
select count(*) into :chkvname 
from &lib..var_master 
where kupcase(var_nm) = kupcase("&vname") and is_deleted is missing;

select count(*) into :chkinactvname 
from &lib..var_master 
where kupcase(var_nm) = kupcase("&vname") and is_deleted = 'Y';
quit;

%if %str(&chkvname) ne %str(0) or %str(&chkinactvname) ne %str(0) %then %do;
	%if %str(&chkvname) ne %str(0) %then %do;
		 /*I18N-scnjih-20080421-1417*/
/*		%let message = Duplicate variable names not allowed;*/
		%let message = %sysfunc(sasmsg(smd_ds.bismsg,job_details.sas.1, noquote));
		 /*I18N-scnjih-20080421-1417*/
		%let prog_name = &ADD_VAR;
	%end;
	%else %if %str(&chkinactvname) ne %str(0) %then %do;
			 /*I18N-scnjih-20080421-1417*/
/*		%let message = The variable is already available and in Inactive Mode. To activate please contact system administrator;*/
		%let message = %sysfunc(sasmsg(smd_ds.bismsg,job_details.sas.2, noquote));
			 /*I18N-scnjih-20080421-1417*/
		%let prog_name = &ADD_VAR;
	%end;
	data _null_;
	file _webout &webout_options;
	put '<HTML>';
	put '<BODY>';
	put '<form name="form1" action="/SASStoredProcess/do" method="post">';
	put '<input type="hidden" name="_program" value="">';
	put '<input type="hidden" name="noofjobs" value="'@; put "&noofjobs"@; put '">';
	put "<input type='hidden' name='category' value=""&category"">";
	put "<input type='hidden' name='scat' value=""&scat"">";
	put "<input type='hidden' name='vname' value=""&vname"">";
	put "<input type='hidden' name='vshortname' value=""&vshortname"">";
	put "<input type='hidden' name='vdesc' value=""&vdesc"">";
	put "<input type='hidden' name='vgroup' value=""&vgroup"">";
	put "<input type='hidden' name='aggtab' value=""&aggtab"">";
	put "<input type='hidden' name='aggvar' value=""&aggvar"">";
	put "<input type='hidden' name='aggtkey' value=""&aggtkey"">";
	put "<input type='hidden' name='level' value=""&level"">";
	put "<input type='hidden' name='table_cat' value=""&table_cat"">";
	put "<input type='hidden' name='table_key' value=""&table_key"">";
	put "<input type='hidden' name='lftflg' value=""&lftflg"">";	
	put '<SCRIPT>';
	put 'alert("'@;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.alert_msg.1, noquote))"@;
	put '");';
	put "form1._program.value=&prog_name";
	put 'form1.submit();';
	put '</SCRIPT>';
	put '</BODY>';
	put '</HTML>';
	run;
%end;
%mend chkvarfordups;
%chkvarfordups;

data _null_;
file _webout &webout_options;
	put '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
	put '<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/dashboard.dwt" codeOutsideHTMLIsLocked="false" -->';
	put '  <head>';
	put '    <meta http-equiv="content-type" content="text/html;charset=utf-8" />';
	  /*I18N-scnjih-20080429-1547*/
	/*put '    <title>Modeling</title>';*/
		put '    <title>'@;
		put  "%sysfunc(sasmsg(smd_ds.bismsg,job_details.sas.3, noquote))"@;
		put '</title>';
	  /*I18N-scnjih-20080429-1547*/
	  /*I18N-scnjih-20080429-1547*/
	/*put '    <!-- InstanceBeginEditable name="doctitle" --><title>Layout</title><!-- InstanceEndEditable -->';*/
		put '    <!-- InstanceBeginEditable name="doctitle" --><title>'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,title_of_layout.1, noquote))"@;
		put '</title><!-- InstanceEndEditable -->';
	
	 /*I18N-scnjih-20080429-1547*/
	put '    <link rel="stylesheet" type="text/css" href="/SASABTFramework/styles/default.css" />';
	
	put '<style type="text/css">';
	put 'body {background-color: #faf8ed}';
	put '</style>';
		
	/* External scripts */
	put '    <script src="/SASABTFramework/javascript/scripts.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/buttonMenu.js" type="text/javascript"></script>';
	put '    <script src="/SASABTFramework/javascript/overlib.js" type="text/javascript"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/table_controls.js"></script>';
	put '    <script type="text/javascript" src="/SASABTFramework/javascript/boxOver.js"></script>';
	put '	 <script language="JavaScript" src="/SASABTFramework/javascript/editable_combo.js"></script>';
	put '    <script type="text/javascript">';
	put '    <!--';
run;
%macro savebttn;
data _null_;
file _webout &webout_options;
	put 'function savejobs()';
	put '{';
	%do i=1 %to &noofjobs;
		put "if(form1.jobname&i[form1.jobname&i..selectedIndex].text==''||form1.jobname&i..options[form1.jobname&i..selectedIndex].text=='Select or add a job')";
		put '{';
		put 'alert("'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_prvvaljbname.1, noquote))"@;
		put '");'@;
		put 'return;';
		put '}';
		put "if(form1.jobname&i..options[form1.jobname&i..selectedIndex].text.length>40)";
		put '{';
		put 'alert("'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_msg40pchars.1, noquote))"@;
		put '");'@;
		put 'return;';
		put '}';
		put "if(chkchars(form1.jobname&i..options[form1.jobname&i..selectedIndex].text)==false)";
		put 'return;';
	%end;
	%do i=1 %to &noofjobs;
		%do j=%eval(&i+1) %to &noofjobs;
			put "if(form1.jobname&i..options[form1.jobname&i..selectedIndex].text=="@;
			put "form1.jobname&j..options[form1.jobname&j..selectedIndex].text)";
			put '{';
			put 'alert("'@;
			put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_unqjobs.1, noquote))"@;
			put '");'@;
			put 'return';
			put '}';
		%end;
	%end;
	put "form1._program.value=&CH_JOB_DETAILS;";
	put 'form1.submit();';
	put '}';
run;
%mend savebttn;
%savebttn;

data _null_;
file _webout &webout_options;
	put 'function cancel()';
	put '{';
	put "form1._program.value=&ADD_VAR";
	put 'form1.submit();';
	put '}';

	put 'function chkchars(obj)';
	put '{';
	put 'if(obj.charCodeAt(0)>=48 && obj.charCodeAt(0)<=57)';
	put '{';
			put 'alert("'@;
			put "%sysfunc(sasmsg(smd_ds.bismsg,abt.msgnumbeg.1, noquote))"@;
			put '");'@;
		put 'return false;';
	put '}';
	put 'for(var i=0;i<obj.length;i++)';
	put '{';
	put 'if(obj.charCodeAt(i)!=95 && obj.charCodeAt(i)!=46 && (obj.charCodeAt(i)<48||obj.charCodeAt(i)>57)'@;
	put '&& (obj.charCodeAt(i)<97||obj.charCodeAt(i)>122) && (obj.charCodeAt(i)<65||obj.charCodeAt(i)>90))';	
	put '{obj.value="";';
			put 'alert("'@;
			put "%sysfunc(sasmsg(smd_ds.bismsg,abt.msgspchrs.1, noquote))"@;
			put '");'@;
	put 'return false;}';
	put '}';
	put '}';

	put '    -->';
	put '    </script>';
	put '  </head>';
	put '  <body>';

	put '<form name="form1" action="/SASStoredProcess/do" method="post">';
	put '<input type="hidden" name="_program" value="">';
	put '<input type="hidden" name="noofjobs" value="'@; put "&noofjobs"@; put '">';
	put "<input type='hidden' name='category' value=""&category"">";
	put "<input type='hidden' name='scat' value=""&scat"">";
	put "<input type='hidden' name='vname' value=""&vname"">";
	put "<input type='hidden' name='vshortname' value=""&vshortname"">";
	put "<input type='hidden' name='vdesc' value=""&vdesc"">";
	put "<input type='hidden' name='vgroup' value=""&vgroup"">";
	put "<input type='hidden' name='aggtab' value=""&aggtab"">";
	put "<input type='hidden' name='aggvar' value=""&aggvar"">";
	put "<input type='hidden' name='aggtkey' value=""&aggtkey"">";
	put "<input type='hidden' name='level' value=""&level"">";
	put "<input type='hidden' name='table_cat' value=""&table_cat"">";
	put "<input type='hidden' name='table_key' value=""&table_key"">";
	put "<input type='hidden' name='lftflg' value=""&lftflg"">";	
	put '<table class="tableview" width="100%" border="0" cellpadding="0" cellspacing="0">';
	put '<tr><th class="tableheader">' @ ;
	put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_seloraddjobs.1, noquote))"@;
	put '</th></tr>';
	put '</table>';
	put '<br>';
run;

%macro dispjobs;
	data _null_;
	file _webout &webout_options;
		put '<table class="tableview">';
	run;	
%do i=1 %to &noofjobs;
	data _null_;
	file _webout &webout_options;
		put '<tr><td>' @ ;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_jobname.1, noquote))"@;
		put '</td><td><select name="jobname'@;
		put "&i"@;
		put '" style="width:350px" onKeyDown="fnKeyDownHandler(this, event);" onKeyUp="fnKeyUpHandler_A(this, event); return false;" onKeyPress = "return fnKeyPressHandler_A(this, event);"  onChange="fnChangeHandler_A(this, event);">';
		put '<option>' @ ;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.job_details_seloraddajob.1, noquote))"@;
		put '</option>';
	run;

	data _null_;
	file _webout &webout_options;
		set &lib..job_x_level;
		put '<option'@;
		if job_nm eq "&&jobname&i." then
			put ' selected="selected"'@;
		put '>'@;
		put job_nm@;
		put '</option>'@;	
	run;

	data _null_;
	file _webout &webout_options;
		put '</select>' @ ;
		put "%sysfunc(sasmsg(smd_ds.bismsg,abt.editable.1, noquote))"@;
		put '</td>';
		put '</tr>';
	run;
%end;
%mend dispjobs;
%dispjobs

data _null_;
file _webout &webout_options;

put '<tr><td></td><td>' @ ;
put "%sysfunc(sasmsg(smd_ds.bismsg,abt.editableddboxes.1, noquote))"@;
put '</td></tr>';
put '</table>';

put '<table border="0" class="tableview" cellpadding="3" cellspacing="0" summary="Action Buttons" id="dialogbuttons" width="100%">';
put '<tr>';
put '<td>';
put '<input class="mmhide_btn" style="width:80px;" onmouseover="hov(this,''mmhide_btn mmhide_btnhov'')" onmouseout="hov(this,''mmhide_btn'')" value="' @ ;
put "%sysfunc(sasmsg(smd_ds.bismsg,abt.prevbttn.1, noquote))"@;
put ' " name="Cancel" type="button" onclick="cancel()">';
put '</td>';
put '<td>';
put '<input class="mmhide_btn" style="width:80px;" onmouseover="hov(this,''mmhide_btn mmhide_btnhov'')" onmouseout="hov(this,''mmhide_btn'')" value="' @ ;
put "%sysfunc(sasmsg(smd_ds.bismsg,abt.nextbttn.1, noquote))"@;
put ' " name="Next" type="button" onclick="savejobs()">';
put '</td>';
put '</tr>';
put '</table>';
put '</form>';
put '</body>';
put '</html>';
run;
