/******************************************************************************************************
       Module:  pool_introduction

     Function:  Displays the introduction to the Pooling Functionality.

      Authors:  BIS Team
         Date:  14 May 2007
          SAS:  9.1
    Called-by:	pool_main, pool_menu
        Calls:  NA

Datasets used:  No input datasets required for processing of the stored process
 
        Logic:  Displays the introduction to the Pooling Functionality.
				
   Parameters:  NA

******************************************************************************************************/
/*This code is Internationalized*/
/* HTML Screen*/
data _NULL_;
/*I18N-scnhuh-20080418-1144*/
/*add &webout_options*/
	file _webout&webout_options;
/*I18N-scnhuh-20080418-1144*/
	put '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"';
	put '"http://www.w3.org/TR/html4/loose.dtd">';
	put '<html>';
	put '<head>';
	put '<title></title>';
	put '<link href="/SASCSPooling/styles/default.css" rel="stylesheet" type="text/css"> ';
	put '<style type="text/css">';
	put '<!--';
	put 'body {';
	put '	background-color: #FAF8ED;';
	put '}';
	put '-->';
	put '</style>';
	put '</head> ';
	put '<body bottommargin="0" topmargin="0" leftmargin="0" rightmargin="0" marginheight="0" marginwidth="0" bgcolor="white"> ';

	put '<table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FAF8ED"> ';
	put '<tr> ';
	put '<td align="left"> ';
	put '<table width="100%"  border="0" align="left" cellpadding="3" cellspacing="0"> ';
	put '<tr> ';
	put '<td><table width="100%"  border="0" cellspacing="0" cellpadding="0"> ';
	put '<tr> ';

	/* Navigational Links */
	put '<td><span class="BreadCrumb">'; 
	put '&nbsp;</td>';
	put '<td align="right"><img src="/SASCSPooling/images/CrBanner.gif" width="259" height="29"></td> ';
	put '</tr> </table>';                                     /****Banner insert image********/
	/**/

	/* Main Body */
	put '<H2 align="left"><table width="100%"  border="0" cellspacing="0" cellpadding="0">';
	put '<tr><td>'@;
	put "%sysfunc(sasmsg(smd_ds.bismsg,crs.pool_introduction.introduction.1, noquote))"@;
	put'</td>';
	put '</tr></table></H2>';
	put '<p>&nbsp;</p>';
	put '</tr> ';
	put '</table> ';
	put '</td> ';
	put '</tr> ';
	put '</table>';
	put '</body> ';
	put '</html> ';
run;
