/*Outcome_master*/
/*Can completely replace the contents of Data/bisdata/code/frame_work_script/outcome_master.sas */

proc sql;

delete from analytic.Outcome_master;

insert into analytic.Outcome_master (O_NO, AP_NO, P_NO, L_NO, OUTCOME_NM, OUTCOME_DESC, OUTCOME_TYPE_CD, OUTCOME_DEFN, AGG_TABLE_NM, AGG_VAR_NM, AGG_TABLE_KEY, VAR_NM) 
VALUES(37, 4, 1, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 3months as of outcome end date", "OTE_ACC_SNAP_DLQ_L3M_ABT", "OTE_ACC_90PDLQ_LST_3M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(38, 4, 2, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 3months as of outcome end date", "OTE_ACC_SNAP_DLQ_L3M_ABT", "OTE_ACC_90PDLQ_LST_3M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(39, 4, 3, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 3months as of outcome end date", "OTE_ACC_SNAP_DLQ_L3M_ABT", "OTE_ACC_90PDLQ_LST_3M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(40, 4, 4, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 3months as of outcome end date", "OTE_ACC_SNAP_DLQ_L3M_ABT", "OTE_ACC_90PDLQ_LST_3M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(41, 4, 1, 1, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_ACC_BASIC_CURR_ABT", "ACC_COLL_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(42, 4, 2, 1, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_ACC_BASIC_CURR_ABT", "ACC_COLL_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(43, 4, 3, 1, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_ACC_BASIC_CURR_ABT", "ACC_COLL_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(44, 4, 4, 1, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_ACC_BASIC_CURR_ABT", "ACC_COLL_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(45, 4, ., 2, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 3months as of outcome end date", "OTE_ACC_SNAP_DLQ_L3M_ABT", "OTE_ACC_90PDLQ_LST_3M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(46, 4, ., 2, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_ACC_BASIC_CURR_ABT", "ACC_COLL_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(48, 4, 1, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 6 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L6M_ABT", "OTE_ACC_90PDLQ_LST_6M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(49, 4, 2, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 6 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L6M_ABT", "OTE_ACC_90PDLQ_LST_6M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(50, 4, 3, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 6 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L6M_ABT", "OTE_ACC_90PDLQ_LST_6M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(51, 4, 4, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 6 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L6M_ABT", "OTE_ACC_90PDLQ_LST_6M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(52, 4, 1, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 12 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L12M_ABT", "OTE_ACC_90PDLQ_LST_12M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(53, 4, 2, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 12 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L12M_ABT", "OTE_ACC_90PDLQ_LST_12M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(54, 4, 3, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 12 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L12M_ABT", "OTE_ACC_90PDLQ_LST_12M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(55, 4, 4, 1, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 12 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L12M_ABT", "OTE_ACC_90PDLQ_LST_12M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(56, 4, ., 2, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 6 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L6M_ABT", "OTE_ACC_90PDLQ_LST_6M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(57, 4, ., 2, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent for last 12 months as of outcome end date", "OTE_ACC_SNAP_DLQ_L12M_ABT", "OTE_ACC_90PDLQ_LST_12M_FLG", "ACCOUNT_RK", "TGT_VAR")
VALUES(68, 3, 1, 3, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent as of outcome end date", "OTE_APPL_GOOD_BAD_ABT", "ACTUAL_GOOD_BAD", "APPLICATION_RK", "TGT_VAR")
VALUES(69, 3, 2, 3, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent as of outcome end date", "OTE_APPL_GOOD_BAD_ABT", "ACTUAL_GOOD_BAD", "APPLICATION_RK", "TGT_VAR")
VALUES(70, 3, 3, 3, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent as of outcome end date", "OTE_APPL_GOOD_BAD_ABT", "ACTUAL_GOOD_BAD", "APPLICATION_RK", "TGT_VAR")
VALUES(71, 3, 4, 3, "Good_Bad Indicator", "More than 90 days delinquent", "Logistic", "More than 90 days delinquent as of outcome end date", "OTE_APPL_GOOD_BAD_ABT", "ACTUAL_GOOD_BAD", "APPLICATION_RK", "TGT_VAR")
VALUES(72, 3, 1, 3, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_APPL_GOOD_BAD_ABT", "ACC_COLL_FLG", "APPLICATION_RK", "TGT_VAR")
VALUES(73, 3, 2, 3, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_APPL_GOOD_BAD_ABT", "ACC_COLL_FLG", "APPLICATION_RK", "TGT_VAR")
VALUES(74, 3, 3, 3, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_APPL_GOOD_BAD_ABT", "ACC_COLL_FLG", "APPLICATION_RK", "TGT_VAR")
VALUES(75, 3, 4, 3, "Good_Bad Indicator", "Whether Defaulted (into collection)", "Logistic", "Whether Defaulted (into collection)", "OTE_APPL_GOOD_BAD_ABT", "ACC_COLL_FLG", "APPLICATION_RK", "TGT_VAR")
VALUES(76, 5, 1, 1, "Loss given default", "Lost (Unrecovered) amount", "Continuous", "It is the ratio of the actual amount lost to the exposure at default", "OTC_RCV_PER_LGD_ABT", "ACTUAL_LGD", "ACCOUNT_RK", "TGT_VAR")
VALUES(77, 5, 2, 1, "Loss given default", "Lost (Unrecovered) amount", "Continuous", "It is the ratio of the actual amount lost to the exposure at default", "OTC_RCV_PER_LGD_ABT", "ACTUAL_LGD", "ACCOUNT_RK", "TGT_VAR")
VALUES(78, 5, 3, 1, "Loss given default", "Lost (Unrecovered) amount", "Continuous", "It is the ratio of the actual amount lost to the exposure at default", "OTC_RCV_PER_LGD_ABT", "ACTUAL_LGD", "ACCOUNT_RK", "TGT_VAR")
VALUES(79, 5, 4, 1, "Loss given default", "Lost (Unrecovered) amount", "Continuous", "It is the ratio of the actual amount lost to the exposure at default", "OTC_RCV_PER_LGD_ABT", "ACTUAL_LGD", "ACCOUNT_RK", "TGT_VAR")
VALUES(80, 6, 3, 1, "Credit conversion factor", "Unutilized limit drawn down at the time of default", "Continuous", "It is the unutilized limit drawn down as compared to the average limit utilization for the account prior to default", "OTC_CCF_CALC_ABT", "
ACTUAL_CCF", "ACCOUNT_RK", "TGT_VAR")
;
quit;
