%macro acc_inq_reset_var;
/*Reset all the retain variables for the next account group */
/*Account inquiry current month abt reset*/
ACC_QRY_CURR_MTH_CNT  =0;
ACC_COM_CURR_MTH_CNT   =0;
ACC_LMT_INR_REQ_CURR_MTH_CNT    =0;
ACC_LMT_DEC_REQ_CURR_MTH_CNT   =0;
ACC_DUP_STMT_REQ_CURR_MTH_CNT   =0; 
ACC_ODLMT_INR_REQ_CURR_MTH_CNT  =0; 
ACC_ODLMT_DEC_REQ_CURR_MTH_CNT  =0; 

ACC_RT_CHNG_REQ_CURR_MTH_CNT  =0;
ACC_TNR_CHNG_REQ_CURR_MTH_CNT  =0;
ACC_PAY_RED_INQ_CURR_MTH_CNT  =0;

ACC_DIS_CURR_MTH_AMT    =.;
ACC_MAX_DIS_CURR_MTH_AMT    =.;
ACC_DIS_CURR_MTH_CNT   =0;
ACC_MIN_DIS_CURR_MTH_AMT   =.;

ACC_MAX_DIS_CURR_MTH_CNT  =0;
ACC_MIN_DIS_CURR_MTH_CNT  =0;

/*Account inquiry other last 3 month abt reset*/
ACC_QRY_LST_3M_CNT  = 0;
ACC_COM_LST_3M_CNT   = 0;
ACC_LMT_INR_REQ_LST_3M_CNT    = 0;
ACC_LMT_DEC_REQ_LST_3M_CNT   = 0;
ACC_DUP_STMT_REQ_LST_3M_CNT   = 0; 
ACC_ODLMT_INR_REQ_LST_3M_CNT  = 0; 
ACC_ODLMT_DEC_REQ_LST_3M_CNT  = 0; 

ACC_RT_CHNG_REQ_LST_3M_CNT  = 0;
ACC_TNR_CHNG_REQ_LST_3M_CNT  = 0;
ACC_PAY_RED_INQ_LST_3M_CNT  = 0;

ACC_DIS_LST_3M_AMT    = .;
ACC_MAX_DIS_LST_3M_AMT    = .;
ACC_DIS_LST_3M_CNT   = 0;
ACC_MIN_DIS_LST_3M_AMT   = .;

ACC_MAX_DIS_LST_3M_CNT  = 0;
ACC_MIN_DIS_LST_3M_CNT  = 0;

/*Account inquiry other last 6 month abt reset*/
ACC_QRY_LST_6M_CNT    = 0;
ACC_COM_LST_6M_CNT   = 0;
ACC_LMT_INR_REQ_LST_6M_CNT    = 0;
ACC_LMT_DEC_REQ_LST_6M_CNT   = 0;
ACC_DUP_STMT_REQ_LST_6M_CNT   = 0; 
ACC_ODLMT_INR_REQ_LST_6M_CNT  = 0; 
ACC_ODLMT_DEC_REQ_LST_6M_CNT  = 0; 

ACC_RT_CHNG_REQ_LST_6M_CNT  = 0;
ACC_TNR_CHNG_REQ_LST_6M_CNT  = 0;
ACC_PAY_RED_INQ_LST_6M_CNT  = 0;

ACC_DIS_LST_6M_AMT    = .;
ACC_MAX_DIS_LST_6M_AMT    = .;
ACC_DIS_LST_6M_CNT   = 0;
ACC_MIN_DIS_LST_6M_AMT   = .;

ACC_MAX_DIS_LST_6M_CNT  = 0;
ACC_MIN_DIS_LST_6M_CNT  = 0;

/* Account inquiry dispute last 12 months abt reset*/

/*Account inquiry other last 12 month abt reset*/
ACC_QRY_LST_12M_CNT    = 0;
ACC_COM_LST_12M_CNT   = 0;
ACC_LMT_INR_REQ_LST_12M_CNT   = 0; 
ACC_LMT_DEC_REQ_LST_12M_CNT   = 0;
ACC_DUP_STMT_REQ_LST_12M_CNT  = 0;  
ACC_ODLMT_INR_REQ_LST_12M_CNT   = 0;
ACC_ODLMT_DEC_REQ_LST_12M_CNT   = 0;

ACC_RT_CHNG_REQ_LST_12M_CNT  = 0;
ACC_TNR_CHNG_REQ_LST_12M_CNT  = 0;
ACC_PAY_RED_INQ_LST_12M_CNT  = 0;

ACC_DIS_LST_12M_AMT    = .;
ACC_MAX_DIS_LST_12M_AMT    = .;
ACC_DIS_LST_12M_CNT   = 0;
ACC_MIN_DIS_LST_12M_AMT   = .;

ACC_MAX_DIS_LST_12M_CNT  = 0;
ACC_MIN_DIS_LST_12M_CNT  = 0;

/*Account inquiry other last 13 to 24 month abt reset*/
ACC_QRY_13_24M_CNT    = 0;
ACC_COM_13_24M_CNT   = 0;
ACC_LMT_INR_REQ_13_24M_CNT    = 0;
ACC_LMT_DEC_REQ_13_24M_CNT   = 0;
ACC_DUP_STMT_REQ_13_24M_CNT    = 0;
ACC_ODLMT_INR_REQ_13_24M_CNT   = 0;
ACC_ODLMT_DEC_REQ_13_24M_CNT   = 0;

ACC_RT_CHNG_REQ_13_24M_CNT  = 0;
ACC_TNR_CHNG_REQ_13_24M_CNT  = 0;
ACC_PAY_RED_INQ_13_24M_CNT  = 0;

ACC_DIS_13_24M_AMT    = .;
ACC_MAX_DIS_13_24M_AMT    = .;
ACC_DIS_13_24M_CNT   = .;
ACC_MIN_DIS_13_24M_AMT   = .;

ACC_MAX_DIS_13_24M_CNT  = 0;
ACC_MIN_DIS_13_24M_CNT  = 0;

%mend;
