/*This macro is called by the macro_acc_trans_lst_abt macro. 

This has all the assignment statements. Level 1 variables are assigned to level 12 variables

*/

%macro abt_trans_macro_assign_1_to_12;

/* Variables of TRANS_CASHBACK_REFUND_CURR_MTH assigned to TRANS_CASHBACK_REFUND_LST_12M */

 ACC_CSHBCK_LST_12M_AMT = ACC_CSHBCK_CURR_MTH_AMT; 

 ACC_MAX_CSHBCK_LST_12M_AMT = ACC_MAX_CSHBCK_CURR_MTH_AMT; 

 ACC_MAX_REF_LST_12M_AMT = ACC_MAX_REF_CURR_MTH_AMT; 

 ACC_MIN_CSHBCK_LST_12M_AMT = ACC_MIN_CSHBCK_CURR_MTH_AMT; 

 ACC_MIN_REF_LST_12M_AMT = ACC_MIN_REF_CURR_MTH_AMT; 

 ACC_REF_LST_12M_AMT = ACC_REF_CURR_MTH_AMT; 

 ACC_REF_LST_12M_CNT = ACC_REF_CURR_MTH_CNT; 



/* Variables of TRANS_CCD_MERCHANTCAT_CURR_MTH assigned to TRANS_CCD_MERCHANTCAT_LST_12M */

 ACC_CCD_ARL_LST_12M_AMT = ACC_CCD_ARL_CURR_MTH_AMT; 

 ACC_CCD_ARL_LST_12M_CNT = ACC_CCD_ARL_CURR_MTH_CNT;

 ACC_CCD_AUT_LST_12M_AMT = ACC_CCD_AUT_CURR_MTH_AMT; 

 ACC_CCD_AUT_LST_12M_CNT = ACC_CCD_AUT_CURR_MTH_CNT; 

 ACC_CCD_CLTH_LST_12M_AMT = ACC_CCD_CLTH_CURR_MTH_AMT; 

 ACC_CCD_CLTH_LST_12M_CNT = ACC_CCD_CLTH_CURR_MTH_CNT; 

 ACC_CCD_CRN_LST_12M_AMT = ACC_CCD_CRN_CURR_MTH_AMT; 

 ACC_CCD_CRN_LST_12M_CNT = ACC_CCD_CRN_CURR_MTH_CNT; 

 ACC_CCD_ENT_LST_12M_AMT = ACC_CCD_ENT_CURR_MTH_AMT; 

 ACC_CCD_ENT_LST_12M_CNT = ACC_CCD_ENT_CURR_MTH_CNT; 

 ACC_CCD_FIN_LST_12M_AMT = ACC_CCD_FIN_CURR_MTH_AMT; 

 ACC_CCD_FIN_LST_12M_CNT = ACC_CCD_FIN_CURR_MTH_CNT; 

 ACC_CCD_FUD_LST_12M_AMT = ACC_CCD_FUD_CURR_MTH_AMT; 

 ACC_CCD_FUD_LST_12M_CNT = ACC_CCD_FUD_CURR_MTH_CNT; 

 ACC_CCD_GOV_LST_12M_AMT = ACC_CCD_GOV_CURR_MTH_AMT; 

 ACC_CCD_GOV_LST_12M_CNT = ACC_CCD_GOV_CURR_MTH_CNT; 

 ACC_CCD_HHD_LST_12M_AMT = ACC_CCD_HHD_CURR_MTH_AMT; 

 ACC_CCD_HHD_LST_12M_CNT = ACC_CCD_HHD_CURR_MTH_CNT; 

 ACC_CCD_HLTH_LST_12M_AMT = ACC_CCD_HLTH_CURR_MTH_AMT; 

 ACC_CCD_HLTH_LST_12M_CNT = ACC_CCD_HLTH_CURR_MTH_CNT; 

 ACC_CCD_HTL_LST_12M_AMT = ACC_CCD_HTL_CURR_MTH_AMT; 

 ACC_CCD_HTL_LST_12M_CNT = ACC_CCD_HTL_CURR_MTH_CNT; 

 ACC_CCD_NOUSE_LST_12M_MTH_CNT = ACC_CCD_NOUSE_CURR_MTH_CNT; 

 ACC_CCD_PER_LST_12M_AMT = ACC_CCD_PER_CURR_MTH_AMT; 

 ACC_CCD_PER_LST_12M_CNT = ACC_CCD_PER_CURR_MTH_CNT; 

 ACC_CCD_TPT_LST_12M_AMT = ACC_CCD_TPT_CURR_MTH_AMT; 

 ACC_CCD_TPT_LST_12M_CNT = ACC_CCD_TPT_CURR_MTH_CNT; 

 ACC_CCD_USE_LST_12M_CNT = ACC_CCD_USE_CURR_MTH_CNT; 

 ACC_CCD_UTLY_LST_12M_AMT = ACC_CCD_UTLY_CURR_MTH_AMT; 

 ACC_CCD_UTLY_LST_12M_CNT = ACC_CCD_UTLY_CURR_MTH_CNT; 



/* Variables of TRANS_CHANNEL_USAGE_CURR_MTH assigned to TRANS_CHANNEL_USAGE_LST_12M */

 ACC_ATM_USE_LST_12M_CNT = ACC_ATM_USE_CURR_MTH_CNT;

 ACC_INN_USE_LST_12M_CNT = ACC_INN_USE_CURR_MTH_CNT;

 ACC_PHN_USE_LST_12M_CNT = ACC_PHN_USE_CURR_MTH_CNT;

 ACC_TLR_USE_LST_12M_CNT = ACC_TLR_USE_CURR_MTH_CNT;

 

/* Variables of TRANS_CHECK_ISSUE_CURR_MTH assigned to TRANS_CHECK_ISSUE_LST_12M */

 ACC_CHQ_ISU_LST_12M_AMT = ACC_CHQ_ISU_CURR_MTH_AMT; 

 ACC_CHQ_ISU_LST_12M_CNT = ACC_CHQ_ISU_CURR_MTH_CNT;  



/* Variables of TRANS_DDR_SORD_CURR_MTH assigned to TRANS_DDR_SORD_LST_12M */

 ACC_DDR_LST_12M_AMT = ACC_DDR_CURR_MTH_AMT;

 ACC_MAX_DDR_LST_12M_AMT = ACC_MAX_DDR_CURR_MTH_AMT;

 ACC_MAX_SORD_LST_12M_AMT = ACC_MAX_SORD_CURR_MTH_AMT;

 ACC_MIN_DDR_LST_12M_AMT = ACC_MIN_DDR_CURR_MTH_AMT;

 ACC_MIN_SORD_LST_12M_AMT = ACC_MIN_SORD_CURR_MTH_AMT;

 ACC_SORD_LST_12M_AMT = ACC_SORD_CURR_MTH_AMT;



/* Variables of TRANS_DEP_WDR_CURR_MTH assigned to TRANS_DEP_WDR_LST_12M */

 ACC_ATM_WDR_LST_12M_AMT = ACC_ATM_WDR_CURR_MTH_AMT;

 ACC_ATM_WDR_LST_12M_CNT = ACC_ATM_WDR_CURR_MTH_CNT;

 ACC_DEP_LST_12M_AMT = ACC_DEP_CURR_MTH_AMT;

 ACC_DEP_LST_12M_CNT = ACC_DEP_CURR_MTH_CNT;

 ACC_DEP_ENC_LST_12M_AMT = ACC_DEP_ENC_CURR_MTH_AMT;

 ACC_DEP_ERLY_ENC_LST_12M_CNT = ACC_DEP_ERLY_ENC_CURR_MTH_CNT;

 ACC_MAX_ATM_WDR_LST_12M_AMT = ACC_MAX_ATM_WDR_CURR_MTH_AMT;

 ACC_MAX_DEP_LST_12M_AMT = ACC_MAX_DEP_CURR_MTH_AMT;

 ACC_MAX_TLR_WDR_LST_12M_AMT = ACC_MAX_TLR_WDR_CURR_MTH_AMT;

 ACC_MAX_WDR_LST_12M_AMT = ACC_MAX_WDR_CURR_MTH_AMT;

 ACC_MIN_ATM_WDR_LST_12M_AMT = ACC_MIN_ATM_WDR_CURR_MTH_AMT;

 ACC_MIN_DEP_LST_12M_AMT = ACC_MIN_DEP_CURR_MTH_AMT;

 ACC_MIN_TLR_WDR_LST_12M_AMT = ACC_MIN_TLR_WDR_CURR_MTH_AMT;

 ACC_MIN_WDR_LST_12M_AMT = ACC_MIN_WDR_CURR_MTH_AMT;

 ACC_TLR_WDR_LST_12M_AMT = ACC_TLR_WDR_CURR_MTH_AMT;

 ACC_TLR_WDR_LST_12M_CNT = ACC_TLR_WDR_CURR_MTH_CNT;

 ACC_WDR_LST_12M_AMT = ACC_WDR_CURR_MTH_AMT;

 ACC_WDR_LST_12M_CNT = ACC_WDR_CURR_MTH_CNT;



/* Variables of TRANS_DR_CR_CURR_MTH assigned to TRANS_DR_CR_LST_12M */

 ACC_CR_TRNS_LST_12M_AMT  = ACC_CR_TRNS_CURR_MTH_AMT;

 ACC_CR_TRNS_LST_12M_CNT = ACC_CR_TRNS_CURR_MTH_CNT;

 ACC_DR_TRNS_LST_12M_AMT = ACC_DR_TRNS_CURR_MTH_AMT;

 ACC_DR_TRNS_LST_12M_CNT = ACC_DR_TRNS_CURR_MTH_CNT;

 ACC_MAX_CR_TRNS_LST_12M_AMT = ACC_MAX_CR_TRNS_CURR_MTH_AMT;

 ACC_MAX_DR_TRNS_LST_12M_AMT = ACC_MAX_DR_TRNS_CURR_MTH_AMT;

 ACC_MIN_CR_TRNS_LST_12M_AMT = ACC_MIN_CR_TRNS_CURR_MTH_AMT;

 ACC_MIN_DR_TRNS_LST_12M_AMT = ACC_MIN_DR_TRNS_CURR_MTH_AMT;

 

/* Variables of TRANS_FEES_CURR_MTH assigned to TRANS_FEES_LST_12M */

 ACC_ATM_ISU_FEE_LST_12M_AMT = ACC_ATM_ISU_FEE_CURR_MTH_AMT;

 ACC_BBLO_FEE_LST_12M_AMT = ACC_BBLO_FEE_CURR_MTH_AMT;

 ACC_CADV_FEE_LST_12M_AMT = ACC_CADV_FEE_CURR_MTH_AMT;

 ACC_CHQ_BK_FEE_LST_12M_AMT = ACC_CHQ_BK_FEE_CURR_MTH_AMT;

 ACC_DLD_PAY_FEE_LST_12M_AMT = ACC_DLD_PAY_FEE_CURR_MTH_AMT;

 ACC_DSHNR_PAY_FEE_LST_12M_AMT = ACC_DSHNR_PAY_FEE_CURR_MTH_AMT;

 ACC_DUP_STMT_FEE_LST_12M_AMT = ACC_DUP_STMT_FEE_CURR_MTH_AMT;

 ACC_FEE_LST_12M_AMT = ACC_FEE_CURR_MTH_AMT;

 ACC_IBT_FEE_LST_12M_AMT = ACC_IBT_FEE_CURR_MTH_AMT;

 ACC_LMT_INR_FEE_LST_12M_AMT = ACC_LMT_INR_FEE_CURR_MTH_AMT;

 ACC_MAX_DFEE2AVG_INST_L12M_PCT = ACC_MAX_DFEE2AVG_INST_CURR_PCT;

 ACC_MAX_FEE_LST_12M_AMT = ACC_MAX_FEE_CURR_MTH_AMT;

 ACC_MIN_DFEE2AVG_INST_L12M_PCT = ACC_MIN_DFEE2AVG_INST_CURR_PCT;

 ACC_MIN_FEE_LST_12M_AMT = ACC_MIN_FEE_CURR_MTH_AMT;

 ACC_MIS_INST_FEE_LST_12M_AMT = ACC_MIS_INST_FEE_CURR_MTH_AMT;

 ACC_MNTS_FEE_LST_12M_AMT = ACC_MNTS_FEE_CURR_MTH_AMT;

 ACC_OBT_FEE_LST_12M_AMT = ACC_OBT_FEE_CURR_MTH_AMT;

 ACC_OTL_FEE_LST_12M_AMT = ACC_OTL_FEE_CURR_MTH_AMT;

 ACC_OVD_FACY_FEE_LST_12M_AMT = ACC_OVD_FACY_FEE_CURR_MTH_AMT;

 ACC_PPY_FEE_LST_12M_AMT = ACC_PPY_FEE_CURR_MTH_AMT;

 ACC_RTTYP_CHG_FEE_LST_12M_AMT = ACC_RTTYP_CHG_FEE_CURR_MTH_AMT;

 ACC_SRV_VIS_FEE_LST_12M_AMT = ACC_SRV_VIS_FEE_CURR_MTH_AMT;

 ACC_TRNS_FEE_LST_12M_AMT = ACC_TRNS_FEE_CURR_MTH_AMT;

 ACC_ANNL_FEE_LST_12M_AMT = ACC_ANNL_FEE_CURR_MTH_AMT;

 ACC_CLS_FEE_LST_12M_AMT = ACC_CLS_FEE_CURR_MTH_AMT;



/* Variables of TRANS_FEES_WAIVED_CURR_MTH assigned to TRANS_FEES_WAIVED_LST_12M */

 ACC_FWV_LST_12M_AMT = ACC_FWV_CURR_MTH_AMT;

 ACC_FWV_LST_12M_CNT = ACC_FWV_CURR_MTH_CNT;

 ACC_MAX_FWV_LST_12M_AMT = ACC_MAX_FWV_CURR_MTH_AMT;

 ACC_MIN_FWV_LST_12M_AMT = ACC_MIN_FWV_CURR_MTH_AMT;



/* Variables of TRANS_INST_PAYMENTS_CURR_MTH assigned to TRANS_INST_PAYMENTS_LST_12M */

 ACC_ADDL_PAY_LST_12M_AMT = ACC_ADDL_PAY_CURR_MTH_AMT;

 ACC_ADDL_PAY_LST_12M_CNT = ACC_ADDL_PAY_CURR_MTH_CNT;

 ACC_ESCR_LST_12M_AMT = ACC_ESCR_CURR_MTH_AMT;

 ACC_INT_LST_12M_AMT = ACC_INT_CURR_MTH_AMT;

 ACC_INT_RCD_LST_12M_AMT = ACC_INT_RCD_CURR_MTH_AMT;

 ACC_INT_RCD_LST_12M_CNT = ACC_INT_RCD_CURR_MTH_CNT;

 ACC_INT_RINV_LST_12M_AMT = ACC_INT_RINV_CURR_MTH_AMT;

 ACC_INT_RINV_LST_12M_CNT = ACC_INT_RINV_CURR_MTH_CNT;

 ACC_MAX_INT_RCD_LST_12M_AMT = ACC_MAX_INT_RCD_CURR_MTH_AMT;

 ACC_MAX_PPL_LST_12M_AMT = ACC_MAX_PPL_CURR_MTH_AMT;

 ACC_MAX_PPL_INT_LST_12M_AMT = ACC_MAX_PPL_INT_CURR_MTH_AMT;

 ACC_MIN_INT_RCD_LST_12M_AMT = ACC_MIN_INT_RCD_CURR_MTH_AMT;

 ACC_MIN_PPL_LST_12M_AMT = ACC_MIN_PPL_CURR_MTH_AMT;

 ACC_MIN_PPL_INT_LST_12M_AMT = ACC_MIN_PPL_INT_CURR_MTH_AMT;

 ACC_MN_INT_RINV_LST_12M_AMT = ACC_MN_INT_RINV_CURR_MTH_AMT;

 ACC_MX_INT_RINV_LST_12M_AMT = ACC_MX_INT_RINV_CURR_MTH_AMT;

 ACC_PPL_LST_12M_AMT = ACC_PPL_CURR_MTH_AMT;

 ACC_PPL_LST_12M_CNT = ACC_PPL_CURR_MTH_CNT;

 ACC_PPL_INT_PYD_LST_12M_AMT = ACC_PPL_INT_PYD_CURR_MTH_AMT;

 ACC_MAX_INT_LST_12M_AMT = ACC_MAX_INT_CURR_MTH_AMT;

 ACC_INT_LST_12M_CNT = ACC_INT_CURR_MTH_CNT;

 ACC_MIN_INT_LST_12M_AMT = ACC_MIN_INT_CURR_MTH_AMT;

 ACC_MAX_ESCR_PYD_LST_12M_AMT = ACC_MAX_ESCR_PYD_CURR_MTH_AMT;

 ACC_MIN_ESCR_PYD_LST_12M_AMT = ACC_MIN_ESCR_PYD_CURR_MTH_AMT; 

 

/* Variables of TRANS_PAYMENTS_CURR_MTH assigned to TRANS_PAYMENTS_LST_12M*/

 ACC_DLD_PAY_LST_12M_CNT = ACC_DLD_PAY_CURR_MTH_CNT;

 ACC_DSHNR_PAY_LST_12M_AMT = ACC_DSHNR_PAY_CURR_MTH_AMT;

 ACC_DSHNR_PAY_LST_12M_CNT = ACC_DSHNR_PAY_CURR_MTH_CNT;

 ACC_MAX_DSHNR_PAY_LST_12M_AMT = ACC_MAX_DSHNR_PAY_CURR_MTH_AMT;

 ACC_MAX_PAY_LST_12M_AMT = ACC_MAX_PAY_CURR_MTH_AMT;

 ACC_MIN_DSHNR_PAY_LST_12M_AMT = ACC_MIN_DSHNR_PAY_CURR_MTH_AMT;

 ACC_MIN_PAY_LST_12M_AMT = ACC_MIN_PAY_CURR_MTH_AMT;

 ACC_PAY_LST_12M_AMT = ACC_PAY_CURR_MTH_AMT;

 ACC_PREPAY_LST_12M_AMT = ACC_PREPAY_CURR_MTH_AMT;



/* Variables of TRANS_PUR_CADV_OVL_CURR_MTH assigned to TRANS_PUR_CADV_OVL_LST_12M */

 ACC_AVG_CADV_LST_12M_AMT = ACC_AVG_CADV_CURR_MTH_AMT;

 ACC_CADV_LST_12M_AMT = ACC_CADV_CURR_MTH_AMT;

 ACC_CADV_LST_12M_CNT = ACC_CADV_CURR_MTH_CNT;

 ACC_IPUR_LST_12M_AMT = ACC_IPUR_CURR_MTH_AMT;

 ACC_IPUR_LST_12M_CNT = ACC_IPUR_CURR_MTH_CNT;

 ACC_LPUR_LST_12M_AMT = ACC_LPUR_CURR_MTH_AMT;

 ACC_LPUR_LST_12M_CNT = ACC_LPUR_CURR_MTH_CNT;

 ACC_MAX_CADV_LST_12M_AMT = ACC_MAX_CADV_CURR_MTH_AMT;

 ACC_MAX_IPUR_LST_12M_AMT = ACC_MAX_IPUR_CURR_MTH_AMT;

 ACC_MAX_LPUR_LST_12M_AMT = ACC_MAX_LPUR_CURR_MTH_AMT;

 ACC_MAX_PUR_LST_12M_AMT = ACC_MAX_PUR_CURR_MTH_AMT;

 ACC_MIN_CADV_LST_12M_AMT = ACC_MIN_CADV_CURR_MTH_AMT;

 ACC_MIN_IPUR_LST_12M_AMT = ACC_MIN_IPUR_CURR_MTH_AMT;

 ACC_MIN_LPUR_LST_12M_AMT = ACC_MIN_LPUR_CURR_MTH_AMT;

 ACC_MIN_PUR_LST_12M_AMT = ACC_MIN_PUR_CURR_MTH_AMT;

 ACC_OTL_LST_12M_CNT = ACC_OTL_CURR_MTH_CNT;

 ACC_PUR_LST_12M_AMT = ACC_PUR_CURR_MTH_AMT;

 ACC_PUR_LST_12M_CNT = ACC_PUR_CURR_MTH_CNT;



/* Variables of TRANS_SUMMARY_CURR_MTH assigned to TRANS_SUMMARY_LST_12M */

ACC_TRNS_LST_12M_CNT = ACC_TRNS_CURR_MTH_CNT; 

ACC_TRNS_LST_12M_AMT = ACC_TRNS_CURR_MTH_AMT;



/* Variables of TRANS_TRANSFER_CURR_MTH assigned to TRANS_TRANSFER_LST_12M */

 ACC_ATM_SST_TRS_FR_LST_12M_AMT = ACC_ATM_SST_TRS_FR_CURR_MTH_AMT;

 ACC_ATM_SST_TRS_FR_LST_12M_CNT = ACC_ATM_SST_TRS_FR_CURR_MTH_CNT;

 ACC_IBT_LST_12M_AMT = ACC_IBT_CURR_MTH_AMT;

 ACC_IBT_LST_12M_CNT = ACC_IBT_CURR_MTH_CNT;

 ACC_INN_TRS_FR_LST_12M_AMT = ACC_INN_TRS_FR_CURR_MTH_AMT;

 ACC_INN_TRS_FR_LST_12M_CNT = ACC_INN_TRS_FR_CURR_MTH_CNT;

 ACC_MAX_IBT_LST_12M_AMT = ACC_MAX_IBT_CURR_MTH_AMT;

 ACC_MAX_OBT_LST_12M_AMT = ACC_MAX_OBT_CURR_MTH_AMT;

 ACC_MAX_TRS_FR_LST_12M_AMT = ACC_MAX_TRS_FR_CURR_MTH_AMT;

 ACC_MAX_TRS_IN2_LST_12M_AMT = ACC_MAX_TRS_IN2_CURR_MTH_AMT;

 ACC_MIN_IBT_LST_12M_AMT = ACC_MIN_IBT_CURR_MTH_AMT;

 ACC_MIN_OBT_LST_12M_AMT = ACC_MIN_OBT_CURR_MTH_AMT;

 ACC_MIN_TRS_FR_LST_12M_AMT = ACC_MIN_TRS_FR_CURR_MTH_AMT;

 ACC_MIN_TRS_IN2_LST_12M_AMT = ACC_MIN_TRS_IN2_CURR_MTH_AMT;

 ACC_MN_ATM_TRS_FR_LST_12M_AMT = ACC_MN_ATM_TRS_FR_CURR_MTH_AMT;

 ACC_MN_INN_TRS_FR_LST_12M_AMT = ACC_MN_INN_TRS_FR_CURR_MTH_AMT;

 ACC_MN_PHN_TRS_FR_LST_12M_AMT = ACC_MN_PHN_TRS_FR_CURR_MTH_AMT;

 ACC_MN_TLR_TRS_FR_LST_12M_AMT = ACC_MN_TLR_TRS_FR_CURR_MTH_AMT;

 ACC_MX_ATM_TRS_FR_LST_12M_AMT = ACC_MX_ATM_TRS_FR_CURR_MTH_AMT;

 ACC_MX_INN_TRS_FR_LST_12M_AMT = ACC_MX_INN_TRS_FR_CURR_MTH_AMT;

 ACC_MX_PHN_TRS_FR_LST_12M_AMT = ACC_MX_PHN_TRS_FR_CURR_MTH_AMT;

 ACC_MX_TLR_TRS_FR_LST_12M_AMT = ACC_MX_TLR_TRS_FR_CURR_MTH_AMT;

 ACC_OBT_LST_12M_AMT = ACC_OBT_CURR_MTH_AMT;

 ACC_OBT_LST_12M_CNT = ACC_OBT_CURR_MTH_CNT;

 ACC_PHN_TRS_FR_LST_12M_AMT = ACC_PHN_TRS_FR_CURR_MTH_AMT;

 ACC_PHN_TRS_FR_LST_12M_CNT = ACC_PHN_TRS_FR_CURR_MTH_CNT;

 ACC_TLR_TRS_FR_LST_12M_AMT = ACC_TLR_TRS_FR_CURR_MTH_AMT;

 ACC_TLR_TRS_FR_LST_12M_CNT = ACC_TLR_TRS_FR_CURR_MTH_CNT;

 ACC_TRS_FR_LST_12M_AMT = ACC_TRS_FR_CURR_MTH_AMT;

 ACC_TRS_FR_LST_12M_CNT = ACC_TRS_FR_CURR_MTH_CNT;

 ACC_TRS_IN2_LST_12M_AMT = ACC_TRS_IN2_CURR_MTH_AMT;

 ACC_TRS_IN2_LST_12M_CNT = ACC_TRS_IN2_CURR_MTH_CNT;

 

%mend abt_trans_macro_assign_1_to_12; /* end of macro */

