%macro build_level_format;
	data work.etls_fmtData(keep= fmtName start label type);
		length start 8. label $32.;
		set analytic.ABT_LEVEL;
		start = L_NO;
		label = LEVEL_DESC;
		fmtName = "ABTLVL";
		type = "N";
		output;
	run;

	proc sort data = work.etls_fmtData nodupkey; 
		by start; 
	run; 

	/* create format  */ 
	proc format cntlin = work.etls_fmtData library = work; 
	run;
%mend build_level_format;
