%macro select_abt_vars_screen_links;

%global MENU INTRO 
	POP_MODEL_DIM LOAD_MODEL 
	SELECT_SCHEDULE 
	BUILD_MDL_ABT BUILD_ABT 
	SELECT_MDL_ABT_LINK SELECT_SCR_ABT_LINK 
	MONITOR_MODEL 
	SELECT_MDL_ABT_DETAILS SELECT_MDL_EXIST_ABT SELECT_MDL_VAR_SUMMARY SELECT_MDL_VARS 
	SELECT_OUTCOME_ABT SELECT_OUTCOME_DEFN 
	SELECT_SCR_ABT_DETAILS SELECT_SCR_EXIST_ABT SELECT_SCR_VAR_SUMMARY SELECT_SCR_VARS
	SELECT_ABT_LEVEL1 SELECT_CUST SELECT_ASSET SELECT_NREV_CRD SELECT_MTG_LON 
	SELECT_REV_CRD SELECT_CCD SELECT_OD SELECT_CHK_SAV SELECT_CD_RD SELECT_TERM_LIAB
	SELECT_LIAB SELECT_DMD_LIAB SELECT_RD_CONSOL SELECT_CD_CONSOL SELECT_OD_CONSOL
	SELECT_SAV_CONSOL SELECT_CHK_CONSOL SELECT_ULN_CONSOL SELECT_SLN_CONSOL 
	SELECT_CCD_CONSOL SELECT_VARS
	TEMPLATE_STEP1 TEMPLATE_STEP4 TEMPLATE_STEP2 
	TEMPLATE_STEP3 TEMPLATE_STEP5 TEMPLATE_LIST
	HOME DELETE_VAR DISPLAY_VAR EDIT_VAR EDIT_VAR_UPD ADD_VAR SAVE_ADD_VAR
	SELECT_MDL_ABT_LINKER POP_AM SCR_TEMPLATE_LIST SCR_TEMPLATE_STEP1 SCR_TEMPLATE_STEP2
	SCR_TEMPLATE_STEP3 SCR_TEMPLATE_STEP4 SCR_TEMPLATE_STEP5 SCHEDULE_SCR JOB_DETAILS
	CH_JOB_DETAILS SAVE_AM;


/* Links to the menu and introduction screens. */
%let MENU=SBIP://Foundation/BIS/analytics/menu;
%let INTRO=SBIP://Foundation/BIS/analytics/introduction;

/* Links for the Polulate Analytical Model Dimension screen */
%let POP_MODEL_DIM='SBIP://Foundation/BIS/analytics/pop_dim_analytical_model';
%let LOAD_MODEL='SBIP://Foundation/BIS/analytics/load_model_dim';

/* Links specific for the scheduling selection screens */
%let SELECT_SCHEDULE='SBIP://Foundation/BIS/analytics/schedule_scr_process';

/* Links specific for the Build ABT screen */
%let BUILD_MDL_ABT='SBIP://Foundation/BIS/analytics/templates/build_mdl_abt';
%let BUILD_ABT='SBIP://Foundation/BIS/analytics/build_abt';

/* Links specific for the Link the Modeling ABT to the Model screen */
%let SELECT_MDL_ABT_LINK='SBIP://Foundation/BIS/analytics/link_mdl_abt_model';

/* Links specific for the Link the Scoring ABT to the Model screen */
%let SELECT_SCR_ABT_LINK='SBIP://Foundation/BIS/analytics/link_scr_abt_model';

/* Links specific for the Model Monitoring screen */
%let MONITOR_MODEL='SBIP://Foundation/BIS/analytics/mod_mon';

/* Links specific for the Modeling ABT variables selection screens */
%let SELECT_MDL_ABT_DETAILS='SBIP://Foundation/BIS/analytics/mdlabtvars/mdl_abt_details';
%let SELECT_MDL_EXIST_ABT='SBIP://Foundation/BIS/analytics/mdlabtvars/mdl_abt_select';
%let SELECT_MDL_VAR_SUMMARY='SBIP://Foundation/BIS/analytics/mdlabtvars/mdl_var_summary';
%let SELECT_MDL_VARS='SBIP://Foundation/BIS/analytics/mdlabtvars/mdl_select_vars';

/* Links specific for the Template Creation screens */
%let TEMPLATE_STEP1='SBIP://Foundation/BIS/analytics/templates/template_step1';
%let TEMPLATE_STEP2='SBIP://Foundation/BIS/analytics/templates/template_step2';
%let TEMPLATE_STEP3='SBIP://Foundation/BIS/analytics/templates/template_step3';
%let TEMPLATE_STEP4='SBIP://Foundation/BIS/analytics/templates/template_step4';
%let TEMPLATE_STEP5='SBIP://Foundation/BIS/analytics/templates/template_step5';
%let TEMPLATE_LIST='SBIP://Foundation/BIS/analytics/templates/templates';

%let SELECT_MDL_ABT_LINKER=SBIP://Foundation/BIS/analytics/templates/link_mdl;

%let POP_AM='SBIP://Foundation/BIS/analytics/pop_am/pop_am_dds';
%let SAVE_AM='SBIP://Foundation/BIS/analytics/pop_am/save_am';

%let SCR_TEMPLATE_STEP1='SBIP://Foundation/BIS/analytics/scoring/scr_template_step1';
%let SCR_TEMPLATE_STEP2='SBIP://Foundation/BIS/analytics/scoring/scr_template_step2';
%let SCR_TEMPLATE_STEP3='SBIP://Foundation/BIS/analytics/scoring/scr_template_step3';
%let SCR_TEMPLATE_STEP4='SBIP://Foundation/BIS/analytics/scoring/scr_template_step4';
%let SCR_TEMPLATE_STEP5='SBIP://Foundation/BIS/analytics/scoring/scr_template_step5';
%let SCR_TEMPLATE_LIST='SBIP://Foundation/BIS/analytics/scoring/scrabts';

%let SCHEDULE_SCR='SBIP://Foundation/BIS/analytics/scoring/sch_scr_prc';

/*Link for displaying abt variables from var_master */
%let DISPLAY_VAR='SBIP://Foundation/BIS/analytics/explore_abt/disp_var';

/*Link for deleting abt variables from var_master */
%let DELETE_VAR='SBIP://Foundation/BIS/analytics/explore_abt/delete_var';

/*Link for editing abt variables of var_master */
%let EDIT_VAR='SBIP://Foundation/BIS/analytics/explore_abt/edit_var';

/*Link for updating the short name and description of abt variables in var_master */
%let EDIT_VAR_UPD='SBIP://Foundation/BIS/analytics/explore_abt/edit_var_upd';

/*Link for adding abt variables in var_master */
%let ADD_VAR ='SBIP://Foundation/BIS/analytics/explore_abt/add_var';

/*Link for saving abt variables in var_master */
%let SAVE_ADD_VAR ='SBIP://Foundation/BIS/analytics/explore_abt/save_add_var';

/*Links for saving job details */
%let JOB_DETAILS ='SBIP://Foundation/BIS/analytics/explore_abt/job_details';
%let CH_JOB_DETAILS ='SBIP://Foundation/BIS/analytics/explore_abt/ch_job_details';

%let HOME='#';

/* Links to the various Outcome screens */
%let SELECT_OUTCOME_ABT='SBIP://Foundation/BIS/analytics/mdloutcomevars/mdl_out_abt';
%let SELECT_OUTCOME_DEFN='SBIP://Foundation/BIS/analytics/mdloutcomevars/mdl_out_defn';

/* Links specific for the Scoring ABT variables selection screens */
%let SELECT_SCR_ABT_DETAILS='SBIP://Foundation/BIS/analytics/scrabtvars/scr_abt_details';
%let SELECT_SCR_EXIST_ABT='SBIP://Foundation/BIS/analytics/scrabtvars/scr_abt_select';
%let SELECT_SCR_VAR_SUMMARY='SBIP://Foundation/BIS/analytics/scrabtvars/scr_var_summary';
%let SELECT_SCR_VARS='SBIP://Foundation/BIS/analytics/scrabtvars/scr_select_vars';

/* Links to the various screens category and sub-category screens */
%let SELECT_ABT_LEVEL1='SBIP://Foundation/BIS/analytics/selectvars/abt_category';
%let SELECT_CUST='SBIP://Foundation/BIS/analytics/selectvars/cust_vars';
%let SELECT_ASSET='SBIP://Foundation/BIS/analytics/selectvars/asset_vars';
%let SELECT_NREV_CRD='SBIP://Foundation/BIS/analytics/selectvars/nrev_vars';
%let SELECT_MTG_LON='SBIP://Foundation/BIS/analytics/selectvars/mtg_lon_vars';
%let SELECT_REV_CRD='SBIP://Foundation/BIS/analytics/selectvars/rev_vars';
%let SELECT_CCD='SBIP://Foundation/BIS/analytics/selectvars/ccd_vars';
%let SELECT_OD='SBIP://Foundation/BIS/analytics/selectvars/od_vars';
%let SELECT_CHK_SAV='SBIP://Foundation/BIS/analytics/selectvars/chk_sav_vars';
%let SELECT_CD_RD='SBIP://Foundation/BIS/analytics/selectvars/cd_rd_vars';
%let SELECT_TERM_LIAB='SBIP://Foundation/BIS/analytics/selectvars/term_liab_vars';
%let SELECT_LIAB='SBIP://Foundation/BIS/analytics/selectvars/liab_vars';
%let SELECT_DMD_LIAB='SBIP://Foundation/BIS/analytics/selectvars/dmd_liab_vars';
%let SELECT_RD_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/rd_consol_vars';
%let SELECT_CD_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/cd_consol_vars';
%let SELECT_OD_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/od_consol_vars';
%let SELECT_SAV_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/sav_consol_vars';
%let SELECT_CHK_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/chk_consol_vars';
%let SELECT_ULN_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/uln_consol_vars';
%let SELECT_SLN_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/sln_consol_vars';
%let SELECT_CCD_CONSOL='SBIP://Foundation/BIS/analytics/selectvars/ccd_consol_vars';

%let SELECT_VARS = 'SBIP://Foundation/BIS/analytics/selectvars/vars_list';

%mend select_abt_vars_screen_links;
