/*This macro is called by the macro_acc_trans_lst_abt macro. 
This resets all the variables when the end-of-group of the by-variable is reached */

%macro ote_abt_trans_reset;
/************************ For current month *****************************/

/* Variables of OTE_TRANS_DEP_WDR_CURR_MTH */
ACC_DEP_CURR_MTH_CNT = 0;

/* Variables of OTE_TRANS_DR_CR_CURR_MTH */
ACC_DR_TRNS_CURR_MTH_CNT = 0;

/* Variables of OTE_TRANS_PAYMENTS_CURR_MTH */
ACC_PREPAY_CURR_MTH_AMT = .;

/* Variables of OTE_TRANS_PUR_CADV_OVL_CURR_MTH */
ACC_PUR_CURR_MTH_AMT = .;

/* Variables of OTE_TRANS_SUMMARY_CURR_MTH */
ACC_TRNS_CURR_MTH_CNT = 0;

/************************* For 3 months **********************/
/* Variables of OTE_TRANS_DEP_WDR_LST_3M */
ACC_DEP_LST_3M_CNT = 0;

/* Variables of OTE_TRANS_DR_CR_LST_3M */
ACC_DR_TRNS_LST_3M_CNT = 0;

/* Variables of OTE_TRANS_PAYMENTS_LST_3M */
ACC_PREPAY_LST_3M_AMT = .;

/* Variables of OTE_TRANS_PUR_CADV_OVL_LST_3M */
ACC_PUR_LST_3M_AMT = .;

/* Variables of OTE_TRANS_SUMMARY_LST_3M */
ACC_TRNS_LST_3M_CNT = 0;

/************************* For 6 months **********************/
/* Variables of OTE_TRANS_DEP_WDR_LST_6M */
ACC_DEP_LST_6M_CNT = 0;

/* Variables of OTE_TRANS_DR_CR_LST_6M */
ACC_DR_TRNS_LST_6M_CNT = 0;

/* Variables of OTE_TRANS_PAYMENTS_LST_6M */
ACC_PREPAY_LST_6M_AMT = .;

/* Variables of OTE_TRANS_PUR_CADV_OVL_LST_6M */
ACC_PUR_LST_6M_AMT = .;

/* Variables of OTE_TRANS_SUMMARY_LST_6M */
ACC_TRNS_LST_6M_CNT = 0;

/************************* For 12 months **********************/

/* Variables of OTE_TRANS_DEP_WDR_LST_12M */
ACC_DEP_LST_12M_CNT = 0;

/* Variables of OTE_TRANS_DR_CR_LST_12M */
ACC_DR_TRNS_LST_12M_CNT = 0;

/* Variables of OTE_TRANS_PAYMENTS_LST_12M */
ACC_PREPAY_LST_12M_AMT = .;

/* Variables of OTE_TRANS_PUR_CADV_OVL_LST_12M */
ACC_PUR_LST_12M_AMT = .;

/* Variables of OTE_TRANS_SUMMARY_LST_12M */
ACC_TRNS_LST_12M_CNT = 0;

%mend ote_abt_trans_reset; /* end of macro */

