/******************************************************************************************************
       Module:  explore_abt_vars

     Function:  ( to be modified later )
				****** This stored process creates an HTML screen where the ABT  categories
				are shown in a tree structure with the hierarchy as given in the
				Parameter_category dataset in customisableparameters library in 
				the left pane and the description for the parameter is provided on the
				right side of the frame *****.

      Authors:  BIS Team
         Date:  23 July 2007	
          SAS:  9.1
    Called-by:	
        Calls:  

Datasets used:  
 
        Logic:  
				
   Parameters:  

******************************************************************************************************/
%let menu=SBIP://Foundation/BIS/analytics/templates/menubar;
%let create_tree=SBIP://Foundation/BIS/analytics/explore_abt/expabt_create_tree;
%let disp_var=SBIP://Foundation/BIS/analytics/explore_abt/disp_var;
data _NULL_;
	file _webout &webout_options;
	put '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
	put '<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/dashboard.dwt" codeOutsideHTMLIsLocked="false" -->';
	put '  <head>';
	put '    <meta http-equiv="content-type" content="text/html;charset=utf-8" />';
	/*I18N-scnjih-20080429-1547*/
	/*put '    <!-- InstanceBeginEditable name="doctitle" --><title>Layout</title><!-- InstanceEndEditable -->';*/
		put '    <!-- InstanceBeginEditable name="doctitle" --><title>'@;
		put "%sysfunc(sasmsg(smd_ds.bismsg,title_of_layout.1, noquote))"@;
		put '</title><!-- InstanceEndEditable -->';
	
	 /*I18N-scnjih-20080429-1547*/
	put '    <link rel="stylesheet" type="text/css" href="/SASABTFramework/styles/default.css" />';
	put '  </head>';
	
	put '<frameset rows="10%,*">';
	put "<frame src='http://&_SRVNAME:&_SRVPORT/SASStoredProcess/do?"@;
		put '&_program=';
		put "&menu"@;
		put ''' name="menu" marginwidth="15" marginheight="15" scrolling="no" frameborder="0" noresize/>';
	put '<frameset cols="35%,*">';
		put "<frame src='http://&_SRVNAME:&_SRVPORT/SASStoredProcess/do?"@;
			put '&_program='@;
			put "&create_tree"@;
			put ''' name="tree" id="tree" scrolling="yes" frameborder="1" marginwidth="0" marginheight="0"/>';
		put "<frame src='http://&_SRVNAME:&_SRVPORT/SASStoredProcess/do?"@;
			put '&_program='@;
			put "&disp_var"@;
			put ''' name="frameset" id="frameset" scrolling="yes" frameborder="1" marginwidth="0" marginheight="0"/>';
	put '</frameset>';
	put '</frameset>';
	put '</html>';
run;
